<?php
namespace Infomodus\Upslabel\Model;
class Ups
{
    public $_handy;
    public $accessLicenseNumber;
    public $userId;
    public $password;
    public $shipperNumber;

    public $packages;
    public $weightUnits;
    public $packageWeight;

    public $unitOfMeasurement;
    public $length;
    public $width;
    public $height;

    public $customerContext;
    public $shipperName;
    public $shipperPhoneNumber;
    public $shipperAddressLine1;
    public $shipperCity;
    public $shipperStateProvinceCode;
    public $shipperPostalCode;
    public $shipperCountryCode;
    public $shipmentDescription;
    public $shipperAttentionName;

    public $shiptoCompanyName;
    public $shiptoAttentionName;
    public $shiptoPhoneNumber;
    public $shiptoAddressLine1;
    public $shiptoAddressLine2;
    public $shiptoCity;
    public $shiptoStateProvinceCode;
    public $shiptoPostalCode;
    public $shiptoCountryCode;
    public $residentialAddress;

    public $shipfromCompanyName;
    public $shipfromAttentionName;
    public $shipfromPhoneNumber;
    public $shipfromAddressLine1;
    public $shipfromAddressLine2;
    public $shipfromCity;
    public $shipfromStateProvinceCode;
    public $shipfromPostalCode;
    public $shipfromCountryCode;

    public $serviceCode;
    public $serviceDescription;
    public $shipmentDigest;

    public $trackingNumber;
    public $shipmentIdentificationNumber;
    public $graphicImage;
    public $htmlImage;

    public $codYesNo;
    public $currencyCode;
    public $codMonetaryValue;
    public $codFundsCode;
    public $invoicelinetotal;
    public $carbonNeutral;
    public $testing;
    public $shipmentcharge = 0;
    public $qvn = 0;
    public $qvnCode = 0;
    public $qvnEmailShipper = '';
    public $qvnEmailShipto = '';
    public $qvnLang = '';
    public $adult=0;
    public $upsAccount = 0;
    public $accountData;
    public $saturdayDelivery;
    public $internationalInvoice;
    public $internationalDescription;
    public $internationalComments;
    public $internationalInvoicenumber;
    public $internationalReasonforexport;
    public $internationalTermsofshipment;
    public $internationalPurchaseordernumber;
    public $internationalProducts;
    public $internationalSoldTo;

    /* Pickup */
    public $ratePickupIndicator;
    public $closeTime;
    public $readyTime;
    public $pickupDateYear;
    public $pickupDateMonth;
    public $pickupDateDay;
    public $alternateAddressIndicator;
    public $quantity;
    public $destinationCountryCode;
    public $containerCode;
    public $weight;
    public $overweightIndicator;
    public $paymentMethod;
    public $specialInstruction;
    public $referenceNumber;
    public $notification;
    public $confirmationEmailAddress;
    public $undeliverableEmailAddress;
    public $room;
    public $floor;
    public $urbanization;
    public $residential;
    public $pickupPoint;
    /* END Pickup */

    /* Access Point */
    public $accesspoint = 0;
    public $accesspointType;
    public $accesspointName;
    public $accesspointAtname;
    public $accesspointAppuid;
    public $accesspointStreet;
    public $accesspointStreet1;
    public $accesspointStreet2;
    public $accesspointCity;
    public $accesspointProvincecode;
    public $accesspointPostal;
    public $accesspointCountry;
    /* Access Point */

    /*multistore*/
    public $storeId = NULL;
    /*multistore*/

    public $negotiatedRates = 0;
    public $ratesTax = 0;

    public function getShip($type = 'shipment')
    {

        $pathUpsdir = $this->_handy->_conf->getBaseDir('media') . '/upslabel/';
        if (!is_dir($pathUpsdir)) {
            mkdir($pathUpsdir, 0777);
            mkdir($pathUpsdir . "label/", 0777);
            mkdir($pathUpsdir . "test_xml/", 0777);
        }
        $path = $this->_handy->_conf->getBaseDir('media') . '/upslabel/label/';
        $pathXml = $this->_handy->_conf->getBaseDir('media') . '/upslabel/test_xml/';
        if (!file_exists($pathXml . ".htaccess")) {
            file_put_contents($pathXml . ".htaccess", "deny from all");
        }
        $this->customerContext = $this->shipperName;
        $validate = $this->_handy->_conf->getStoreConfig('upslabel/shipping/validate' /*multistore*/, $this->storeId /*multistore*/) == 1 ? 'validate' : 'nonvalidate';
        $data = "<?xml version=\"1.0\" ?><AccessRequest xml:lang='en-US'><AccessLicenseNumber>" . $this->accessLicenseNumber . "</AccessLicenseNumber><UserId>" . $this->userId . "</UserId><Password>" . $this->password . "</Password></AccessRequest>
<?xml version=\"1.0\"?>
<ShipmentConfirmRequest xml:lang=\"en-US\">
  <Request>
    <TransactionReference>
      <CustomerContext>" . $this->customerContext . "</CustomerContext>
      <XpciVersion/>
    </TransactionReference>
    <RequestAction>ShipConfirm</RequestAction>
    <RequestOption>" . $validate . "</RequestOption>
  </Request>
  <LabelSpecification>
    <LabelPrintMethod>
      <Code>" . $this->_handy->_conf->getStoreConfig('upslabel/printing/printer', $this->storeId) . "</Code>
    </LabelPrintMethod>
    ";
        if ($this->_handy->_conf->getStoreConfig('upslabel/printing/printer', $this->storeId) != "GIF") {
            $data .= "<LabelStockSize>
                <Height>4</Height>
                <Width>" . $this->_handy->_conf->getStoreConfig('upslabel/printing/termal_width', $this->storeId) . "</Width>
            </LabelStockSize>";
        }
        $data .= "
    <HTTPUserAgent>Mozilla/4.5</HTTPUserAgent>
    <LabelImageFormat>
      <Code>" . $this->_handy->_conf->getStoreConfig('upslabel/printing/printer', $this->storeId) . "</Code>
    </LabelImageFormat>
  </LabelSpecification>
  <Shipment>";
        if ($this->_handy->_conf->getStoreConfig('upslabel/ratepayment/negotiatedratesindicator', $this->storeId) == 1) {
            $data .= "
   <RateInformation>
      <NegotiatedRatesIndicator/>
    </RateInformation>";
        }
        if (strlen($this->shipmentDescription) > 0) {
            $data .= "<Description>" . $this->shipmentDescription . "</Description>";
        }
        $data .= $this->setShipper() . $this->setShipTo($type) . $this->setShipFrom($type);
        if ($this->shiptoCountryCode != $this->shipfromCountryCode) {
            $paymentTag = 'ItemizedPaymentInformation';
            $data .= "<" . $paymentTag . ">";
            if ($this->upsAccount != 1) {
                $data .= "<ShipmentCharge><Type>01</Type>
        <BillShipper>";
                /*if ($this->accesspoint == 1 && $this->accesspoint_type == '02') {
                    $data .= "<AlternatePaymentMethod>01</AlternatePaymentMethod>";
                } else {*/
                $data .= "<AccountNumber>" . $this->shipperNumber . "</AccountNumber>";
                /* }*/
                $data .= "</BillShipper></ShipmentCharge>";
                if ($this->_handy->_conf->getStoreConfig('upslabel/ratepayment/dytytaxinternational'/*multistore*/, $this->storeId/*multistore*/) === 'shipper') {
                    $data .= "
                <ShipmentCharge>
                <Type>02</Type>
                  <BillShipper>
                    <AccountNumber>" . $this->shipperNumber . "</AccountNumber>
                  </BillShipper></ShipmentCharge>";
                } /*else {
                    $data .= "
                <ShipmentCharge>
                <Type>02</Type>
                  <BillReceiver><AccountNumber/></BillReceiver></ShipmentCharge>";
                }*/
            } else {
                $data .= "<ShipmentCharge><Type>01</Type><BillThirdParty>
                    <BillThirdPartyShipper>
                        <AccountNumber>" . $this->accountData->getAccountnumber() . "</AccountNumber>
                        <ThirdParty>
                            <Address>
                                <PostalCode>" . $this->accountData->getPostalcode() . "</PostalCode>
                                <CountryCode>" . $this->accountData->getCountry() . "</CountryCode>
                            </Address>
                        </ThirdParty>
                    </BillThirdPartyShipper>
                </BillThirdParty></ShipmentCharge>";
            }
            $data .= "
                </" . $paymentTag . ">
            ";
        } else {
            $paymentTag = 'PaymentInformation';
            $data .= "<" . $paymentTag . ">";
            if ($this->upsAccount != 1) {
                $data .= "<Prepaid>
        <BillShipper>";
                /*if ($this->accesspoint == 1 && $this->accesspoint_type == '02') {
                    $data .= "<AlternatePaymentMethod>01</AlternatePaymentMethod>";
                } else {*/
                $data .= "<AccountNumber>" . $this->shipperNumber . "</AccountNumber>";
                /*}*/
                $data .= "</BillShipper>
      </Prepaid>";
            } else {
                $data .= "<BillThirdParty>
                    <BillThirdPartyShipper>
                        <AccountNumber>" . $this->accountData->getAccountnumber() . "</AccountNumber>
                        <ThirdParty>
                            <Address>
                                <PostalCode>" . $this->accountData->getPostalcode() . "</PostalCode>
                                <CountryCode>" . $this->accountData->getCountry() . "</CountryCode>
                            </Address>
                        </ThirdParty>
                    </BillThirdPartyShipper>
                </BillThirdParty>";
            }
            $data .= "
                </" . $paymentTag . ">
            ";
        }
        $data .= "<Service>
      <Code>" . $this->serviceCode . "</Code>
      <Description>" . $this->serviceDescription . "</Description>
    </Service>";
        if ($this->shiptoCountryCode != $this->shipfromCountryCode || ($this->shiptoCountryCode == $this->shipfromCountryCode && $this->shiptoCountryCode != 'US' && $this->shiptoCountryCode != 'PR')) {
            $data .= "<ReferenceNumber>";
            if ($this->_handy->_conf->getStoreConfig('upslabel/packaging/packagingreferencebarcode', $this->storeId) == 1) {
                $data .= "<BarCodeIndicator/>";
            }
            $data .= "<Code>" . $this->packages[0]['packagingreferencenumbercode'] . "</Code>
		<Value>" . $this->packages[0]['packagingreferencenumbervalue'] . "</Value>
	  </ReferenceNumber>";
            if (isset($this->packages[0]['packagingreferencenumbercode2'])) {
                $data .= "<ReferenceNumber>";
                if ($this->_handy->_conf->getStoreConfig('upslabel/packaging/packagingreferencebarcode2', $this->storeId) == 1) {
                    $data .= "<BarCodeIndicator/>";
                }
                $data .= "<Code>" . $this->packages[0]['packagingreferencenumbercode2'] . "</Code>
		<Value>" . $this->packages[0]['packagingreferencenumbervalue2'] . "</Value>
	  </ReferenceNumber>";
            }
        }
        foreach ($this->packages AS $pv) {
            $data .= "<Package>
      <PackagingType>
        <Code>" . $pv["packagingtypecode"] . "</Code>
      </PackagingType>
      <Description>" . $pv["packagingdescription"] . "</Description>";
            if (($this->shiptoCountryCode == 'US' || $this->shiptoCountryCode == 'PR') && $this->shiptoCountryCode == $this->shipfromCountryCode) {
                $data .= "<ReferenceNumber>";
                if ($this->_handy->_conf->getStoreConfig('upslabel/packaging/packagingreferencebarcode', $this->storeId) == 1) {
                    $data .= "<BarCodeIndicator/>";
                }
                $data .= "<Code>" . $pv['packagingreferencenumbercode'] . "</Code>
		<Value>" . $pv['packagingreferencenumbervalue'] . "</Value>
	  </ReferenceNumber>";
                if (isset($pv['packagingreferencenumbercode2'])) {
                    $data .= "<ReferenceNumber>";
                    $data .= "<Code>" . $pv['packagingreferencenumbercode2'] . "</Code>
		<Value>" . $pv['packagingreferencenumbervalue2'] . "</Value>
	  </ReferenceNumber>";
                }
            }
            $data .= array_key_exists('additionalhandling', $pv) ? $pv['additionalhandling'] : '';
            if ((isset($pv['length']) && isset($pv['width']) && isset($pv['height']) && strlen($pv['length']) > 0 && strlen($pv['width']) > 0 && strlen($pv['height']) > 0)
                || $pv['dimansion_id'] != 0
            ) {
                $data .= "<Dimensions><UnitOfMeasurement>
<Code>" . $this->unitOfMeasurement . "</Code>";
                $data .= "</UnitOfMeasurement>";
                if ($pv['dimansion_id'] == 0) {
                    if (isset($pv['length']) && strlen($pv['length']) > 0) {
                        $data .= "<Length>" . $pv['length'] . "</Length>
<Width>" . $pv['width'] . "</Width>
<Height>" . $pv['height'] . "</Height>";
                    }
                } else {
                    $data .= "<Length>" . $this->_handy->_conf->getStoreConfig('upslabel/dimansion_' . $pv['dimansion_id'] . '/length', $this->storeId) . "</Length>
<Width>" . $this->_handy->_conf->getStoreConfig('upslabel/dimansion_' . $pv['dimansion_id'] . '/width', $this->storeId) . "</Width>
<Height>" . $this->_handy->_conf->getStoreConfig('upslabel/dimansion_' . $pv['dimansion_id'] . '/height', $this->storeId) . "</Height>";
                }
                $data .= "</Dimensions>";
            }
            $data .= "<PackageWeight><UnitOfMeasurement>
            <Code>" . $this->weightUnits . "</Code>";
            $packweight = array_key_exists('packweight', $pv) ? $pv['packweight'] : '';
            $weight = array_key_exists('weight', $pv) ? $pv['weight'] : '';
            $weight = round(($weight + (is_numeric(str_replace(',', '.', $packweight)) ? $packweight : 0)), 1);
            $data .= "</UnitOfMeasurement>
        <Weight>" . $weight . "</Weight>";
            if (($weight > 40 && $this->weightUnits == 'KGS')
                || ($weight > 90 && $this->weightUnits == 'LBS')
            ) {
                $data .= "<LargePackageIndicator/>";
            }
            $data .= "</PackageWeight><PackageServiceOptions>";
            if ($pv['insuredmonetaryvalue'] > 0) {
                $data .= "<InsuredValue>
                <CurrencyCode>" . $pv['currencycode'] . "</CurrencyCode>
                <MonetaryValue>" . $pv['insuredmonetaryvalue'] . "</MonetaryValue>
                </InsuredValue>
              ";
            }
            if ($pv['cod'] == 1 && ($this->shiptoCountryCode == 'US' || $this->shiptoCountryCode == 'PR' || $this->shiptoCountryCode == 'CA') && ($this->shipfromCountryCode == 'US' || $this->shipfromCountryCode == 'PR' || $this->shipfromCountryCode == 'CA')) {
                $data .= "
              <COD>
                  <CODCode>3</CODCode>
                  <CODFundsCode>" . $pv['codfundscode'] . "</CODFundsCode>
                  <CODAmount>
                      <CurrencyCod>" . $pv['currencycode'] . "</CurrencyCod>
                      <MonetaryValue>" . $pv['codmonetaryvalue'] . "</MonetaryValue>
                  </CODAmount>
              </COD>";
            }
            if ($this->isAdult('P')) {
                $data .= "<DeliveryConfirmation><DCISType>" . $this->adult . "</DCISType></DeliveryConfirmation>";
            }
            $data .= "</PackageServiceOptions></Package>";
        }
        $data .= "<ShipmentServiceOptions>";
        if ($this->codYesNo == 1 && $this->shiptoCountryCode != 'US' && $this->shiptoCountryCode != 'PR' && $this->shiptoCountryCode != 'CA' && $this->shipfromCountryCode != 'US' && $this->shipfromCountryCode != 'PR' && $this->shipfromCountryCode != 'CA') {
            $data .= "<COD>
                  <CODCode>3</CODCode>
                  <CODFundsCode>" . $this->codFundsCode . "</CODFundsCode>
                  <CODAmount>
                      <CurrencyCode>" . $this->currencyCode . "</CurrencyCode>
                      <MonetaryValue>" . $this->codMonetaryValue . "</MonetaryValue>
                  </CODAmount>
              </COD>";

        }
        if ($this->isAdult('S')) {
            $data .= "<DeliveryConfirmation><DCISType>" . $this->adult . "</DCISType></DeliveryConfirmation>";
        }
        if ($this->carbonNeutral == 1) {
            $data .= "<UPScarbonneutralIndicator/>";
        }
        if ($this->qvn == 1) {
            $emailUndelivery = 0;
            foreach ($this->qvnCode AS $qvncode) {
                if ($qvncode != 2 && $qvncode != 5) {
                    $data .= "<Notification>
            <NotificationCode>" . $qvncode . "</NotificationCode>
            <EMailMessage>";
                    if (strlen($this->qvnEmailShipper) > 0) {
                        $data .= "<EMailAddress>" . $this->qvnEmailShipper . "</EMailAddress>";
                    }
                    if (strlen($this->qvnEmailShipto) > 0) {
                        $data .= "<EMailAddress>" . $this->qvnEmailShipto . "</EMailAddress>";
                    }
                    if (strlen($this->qvnEmailShipper) > 0 && $emailUndelivery == 0) {
                        $data .= "<UndeliverableEMailAddress>" . $this->qvnEmailShipper . "</UndeliverableEMailAddress>";
                        $emailUndelivery = 1;
                    }
                    $data .= "</EMailMessage>";
                    if (strlen($this->qvnLang) > 4) {
                        $qvnLang = explode(":", $this->qvnLang);
                        $data .= "<Locale><Language>" . $qvnLang[0] . "</Language><Dialect>" . $qvnLang[1] . "</Dialect></Locale>";
                    }
                    $data .= "</Notification>";
                    if ($this->accesspoint == 1) {
                        break;
                    }
                }
            }
        }
        if ($this->accesspoint == 1) {
            $data .= "<Notification>
            <NotificationCode>012</NotificationCode>
            <EMailMessage>";
            if (strlen($this->qvnEmailShipper) > 0) {
                $data .= "<EMailAddress>" . $this->qvnEmailShipper . "</EMailAddress>";
            }
            if (strlen($this->qvnEmailShipto) > 0) {
                $data .= "<EMailAddress>" . $this->qvnEmailShipto . "</EMailAddress>";
            }
            $data .= "</EMailMessage>";
            if (strlen($this->qvnLang) > 4) {
                $qvnLang = explode(":", $this->qvnLang);
                $data .= "<Locale><Language>" . $qvnLang[0] . "</Language><Dialect>" . $qvnLang[1] . "</Dialect></Locale>";
            } else {
                $data .= "<Locale><Language>ENG</Language><Dialect>GB</Dialect></Locale>";
            }
            $data .= "</Notification>";
            $data .= "<Notification>
            <NotificationCode>013</NotificationCode>
            <EMailMessage>";
            if (strlen($this->qvnEmailShipper) > 0) {
                $data .= "<EMailAddress>" . $this->qvnEmailShipper . "</EMailAddress>";
            }
            if (strlen($this->qvnEmailShipto) > 0) {
                $data .= "<EMailAddress>" . $this->qvnEmailShipto . "</EMailAddress>";
            }
            $data .= "</EMailMessage>";
            if (strlen($this->qvnLang) > 4) {
                $qvnLang = explode(":", $this->qvnLang);
                $data .= "<Locale><Language>" . $qvnLang[0] . "</Language><Dialect>" . $qvnLang[1] . "</Dialect></Locale>";
            } else {
                $data .= "<Locale><Language>ENG</Language><Dialect>GB</Dialect></Locale>";
            }
            $data .= "</Notification>";
        }
        $data .= $this->saturdayDelivery;
        if ($this->internationalInvoice == 1 && $this->shiptoCountryCode != $this->shipfromCountryCode && count($this->internationalProducts) > 0) {
            $data .= "<InternationalForms><FormType>01</FormType><AdditionalDocumentIndicator></AdditionalDocumentIndicator>";
            foreach ($this->internationalProducts AS $interproduct) {
                $data .= "<Product>
            <Description>" . $this->_handy->_conf->escapeXML($interproduct['description']) . "</Description>
            <OriginCountryCode>" . $this->_handy->_conf->escapeXML($interproduct['country_code']) . "</OriginCountryCode>
            <Unit>
            <Number>" . $this->_handy->_conf->escapeXML($interproduct['qty']) . "</Number>
            <Value>" . $this->_handy->_conf->escapeXML($interproduct['amount']) . "</Value>
            <UnitOfMeasurement>
            <Code>" . $this->_handy->_conf->escapeXML($interproduct['unit_of_measurement']) . "</Code>";
                if (isset($interproduct['unit_of_measurementdesc']) && strlen($interproduct['unit_of_measurementdesc']) > 0) {
                    $data .= "<Description>" . $this->_handy->_conf->escapeXML($interproduct['unit_of_measurementdesc']) . "</Description>";
                }
                $data .= "</UnitOfMeasurement>
            </Unit>
            <CommodityCode>" . $this->_handy->_conf->escapeXML($interproduct['commoditycode']) . "</CommodityCode>
            <PartNumber>" . $this->_handy->_conf->escapeXML($interproduct['partnumber']) . "</PartNumber>
            </Product>";
            }
            $data .= "<PurchaseOrderNumber>" . $this->internationalPurchaseordernumber . "</PurchaseOrderNumber>
            <TermsOfShipment>" . $this->internationalTermsofshipment . "</TermsOfShipment>
            <ReasonForExport>" . $this->internationalReasonforexport . "</ReasonForExport>
            <Comments>" . $this->internationalComments . "</Comments>
            <CurrencyCode>" . $this->currencyCode . "</CurrencyCode>
            <InvoiceNumber>" . $this->internationalInvoicenumber . "</InvoiceNumber>
            <InvoiceDate>" . $this->internationalInvoicedate . "</InvoiceDate>
            </InternationalForms>";
            /*<DeclarationStatement>qww we ete rt</DeclarationStatement>*/
        }
        $data .= "</ShipmentServiceOptions>";
        if (strlen($this->invoicelinetotal) > 0 && ($this->shiptoCountryCode == 'US' || $this->shiptoCountryCode == 'PR' || $this->shiptoCountryCode == 'CA') && ($this->shipfromCountryCode == 'US' || $this->shipfromCountryCode == 'PR' || $this->shipfromCountryCode == 'CA') && $this->shiptoCountryCode != $this->shipfromCountryCode) {
            $data .= "<InvoiceLineTotal>
                          <CurrencyCode>" . $this->currencyCode . "</CurrencyCode>
                          <MonetaryValue>" . $this->invoicelinetotal . "</MonetaryValue>
              </InvoiceLineTotal>";
        }
        if ($this->accesspoint == 1) {
            $data .= "<ShipmentIndicationType>
            <Code>" . $this->accesspointType . "</Code>
            </ShipmentIndicationType>
            <AlternateDeliveryAddress>
                <Name>" . $this->accesspointName . "</Name>
                <AttentionName>" . $this->accesspointAtname . "</AttentionName>
                <Address>
                    <AddressLine1>" . $this->accesspointStreet . "</AddressLine1>";
            if ($this->accesspointStreet1 != "" && $this->accesspointStreet1 != "undefined") {
                $data .= "<AddressLine2>" . $this->accesspointStreet1 . "</AddressLine2>";
            }
            if ($this->accesspointStreet2 != "" && $this->accesspointStreet2 != "undefined") {
                $data .= "<AddressLine3>" . $this->accesspointStreet2 . "</AddressLine3>";
            }
            $data .= "<City>" . $this->accesspointCity . "</City>";
            if ($this->shiptoCountryCode == "US" || $this->shiptoCountryCode == "CA") {
                $data .= "<StateProvinceCode>" . $this->accesspointProvincecode . "</StateProvinceCode>";
            }
            $data .= "<PostalCode>" . $this->accesspointPostal . "</PostalCode>
                    <CountryCode>" . $this->accesspointCountry . "</CountryCode>
                </Address>
            </AlternateDeliveryAddress>
            ";
            /*<UPSAccessPointID>".$this->accesspoint_appuid."</UPSAccessPointID>*/
        }
        if ($this->internationalInvoice == 1 && $this->shiptoCountryCode != $this->shipfromCountryCode) {
            if ($this->internationalSoldTo == 'shipper') {
                $data .= "<SoldTo>
                <CompanyName>" . $this->shipperName . "</CompanyName>
                <AttentionName>" . $this->shipperAttentionName . "</AttentionName>
                <PhoneNumber>" . $this->shipperPhoneNumber . "</PhoneNumber>
                <Address>
                    <AddressLine1>" . $this->shipperAddressLine1 . "</AddressLine1>
                    <City>" . $this->shipperCity . "</City>
                    <StateProvinceCode>" . $this->shipperStateProvinceCode . "</StateProvinceCode>
                    <PostalCode>" . $this->shipperPostalCode . "</PostalCode>
                    <CountryCode>" . $this->shipperCountryCode . "</CountryCode>
                </Address>
            </SoldTo>";
            } else {
                $data .= "<SoldTo>
                <CompanyName>" . $this->shiptoCompanyName . "</CompanyName>
                <AttentionName>" . $this->shiptoAttentionName . "</AttentionName>
                <PhoneNumber>" . $this->shiptoPhoneNumber . "</PhoneNumber>
                <Address>
                    <AddressLine1>" . $this->shiptoAddressLine1 . "</AddressLine1>
                    <City>" . $this->shiptoCity . "</City>
                    <StateProvinceCode>" . $this->shiptoStateProvinceCode . "</StateProvinceCode>
                    <PostalCode>" . $this->shiptoPostalCode . "</PostalCode>
                    <CountryCode>" . $this->shiptoCountryCode . "</CountryCode>
                </Address>
            </SoldTo>";
            }
        }
        $data .= "</Shipment>
</ShipmentConfirmRequest>";

        file_put_contents($pathXml . "ShipConfirmRequest.xml", $data);
        $errorRequest = $data;
        $cie = 'wwwcie';
        if (0 == $this->testing) {
            $cie = 'onlinetools';
        }
        $curl = $this->_handy->_conf;
        $curl->testing = !$this->testing;
        $result = $curl->curlSend('https://' . $cie . '.ups.com/ups.app/xml/ShipConfirm', $data);
        if (!$curl->error) {
            file_put_contents($pathXml . "ShipConfirmResponse.xml", $result);
            $errorResponse = $result;
            $xml = simplexml_load_string($result);
            if ($xml->Response->ResponseStatusCode[0] == 1) {
                if ($xml->NegotiatedRates) {
                    $shiplabelprice = $xml->NegotiatedRates->NetSummaryCharges->GrandTotal->MonetaryValue[0];
                    $shiplabelcurrency = $xml->NegotiatedRates->NetSummaryCharges->GrandTotal->CurrencyCode[0];
                } else {
                    $shiplabelprice = $xml->ShipmentCharges->TotalCharges->MonetaryValue[0];
                    $shiplabelcurrency = $xml->ShipmentCharges->TotalCharges->CurrencyCode[0];
                }
                $this->shipmentDigest = $xml->ShipmentDigest[0];
                $data = "<?xml version=\"1.0\" ?><AccessRequest xml:lang='en-US'><AccessLicenseNumber>" . $this->accessLicenseNumber . "</AccessLicenseNumber><UserId>" . $this->userId . "</UserId><Password>" . $this->password . "</Password></AccessRequest><?xml version=\"1.0\" ?><ShipmentAcceptRequest><Request><TransactionReference><CustomerContext>" . $this->customerContext . "</CustomerContext><XpciVersion>1.0001</XpciVersion></TransactionReference><RequestAction>ShipAccept</RequestAction></Request><ShipmentDigest>" . $this->shipmentDigest . "</ShipmentDigest></ShipmentAcceptRequest>";
                file_put_contents($pathXml . "ShipAcceptRequest.xml", $data);
                $curl->testing = !$this->testing;
                $result = $curl->curlSend('https://' . $cie . '.ups.com/ups.app/xml/ShipAccept', $data);

                if (!$curl->error) {
                    file_put_contents($pathXml . "ShipAcceptResponse.xml", $result);
                    $xml = simplexml_load_string($result);
                    $this->shipmentIdentificationNumber = $xml->ShipmentResults[0]->ShipmentIdentificationNumber[0];
                    $arrResponsXML = array();
                    $i = 0;
                    foreach ($xml->ShipmentResults[0]->PackageResults AS $resultXML) {
                        $arrResponsXML[$i]['trackingnumber'] = $resultXML->TrackingNumber[0];
                        $arrResponsXML[$i]['graphicImage'] = base64_decode($resultXML->LabelImage[0]->GraphicImage[0]);
                        $arrResponsXML[$i]['type_print'] = $resultXML->LabelImage[0]->LabelImageFormat[0]->Code[0];
                        $file = fopen($path . 'label' . $arrResponsXML[$i]['trackingnumber'] . '.' . strtolower($arrResponsXML[$i]['type_print']), 'w');
                        fwrite($file, $arrResponsXML[$i]['graphicImage']);
                        fclose($file);
                        if ($arrResponsXML[$i]['type_print'] == "GIF") {
                            $arrResponsXML[$i]['htmlImage'] = base64_decode($resultXML->LabelImage[0]->HTMLImage[0]);
                            file_put_contents($path . $arrResponsXML[$i]['trackingnumber'] . ".html", $arrResponsXML[$i]['htmlImage']);
                            file_put_contents($pathXml . "HTML_image.html", $arrResponsXML[$i]['htmlImage']);
                        }
                        $i += 1;
                    }
                    $interInvoice = NULL;
                    if ($this->internationalInvoice == 1) {
                        if (isset($xml->ShipmentResults[0]->Form->Image->GraphicImage)) {
                            if (is_array($xml->ShipmentResults[0]->Form->Image->GraphicImage)) {
                                $interInvoice = $xml->ShipmentResults[0]->Form->Image->GraphicImage[0];
                            } else {
                                $interInvoice = $xml->ShipmentResults[0]->Form->Image->GraphicImage;
                            }
                        }
                    }
                    $turnInPage = NULL;
                    if ($xml->ShipmentResults[0]->CODTurnInPage && $xml->ShipmentResults[0]->CODTurnInPage->Image->GraphicImage) {
                        $turnInPage = $xml->ShipmentResults[0]->CODTurnInPage->Image->GraphicImage;
                    }
                    if ($this->codMonetaryValue > 999) {
                        $htmlHVReport = '<html xmlns:o="urn:schemas-microsoft-com:office:office"
xmlns:w="urn:schemas-microsoft-com:office:word"
xmlns="http://www.w3.org/TR/REC-html40">

<head>
<meta http-equiv=Content-Type content="text/html; charset=windows-1252">
<meta name=ProgId content=Word.Document>
<meta name=Generator content="Microsoft Word 11">
<meta name=Originator content="Microsoft Word 11">
<link rel=File-List href="sample%20UPS%20CONTROL%20LOG_files/filelist.xml">
<title>UPS CONTROL LOG </title>
<!--[if gte mso 9]><xml>
 <o:DocumentProperties>
  <o:Author>xlm8zff</o:Author>
  <o:LastAuthor>xlm8zff</o:LastAuthor>
  <o:Revision>2</o:Revision>
  <o:TotalTime>2</o:TotalTime>
  <o:Created>2010-09-27T12:53:00Z</o:Created>
  <o:LastSaved>2010-09-27T12:53:00Z</o:LastSaved>
  <o:Pages>1</o:Pages>
  <o:Words>116</o:Words>
  <o:Characters>662</o:Characters>
  <o:Company>UPS</o:Company>
  <o:Lines>5</o:Lines>
  <o:Paragraphs>1</o:Paragraphs>
  <o:CharactersWithSpaces>777</o:CharactersWithSpaces>
  <o:Version>11.9999</o:Version>
 </o:DocumentProperties>
</xml><![endif]--><!--[if gte mso 9]><xml>
 <w:WordDocument>
  <w:SpellingState>Clean</w:SpellingState>
  <w:GrammarState>Clean</w:GrammarState>
  <w:PunctuationKerning/>
  <w:ValidateAgainstSchemas/>
  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>
  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>
  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>
  <w:Compatibility>
   <w:BreakWrappedTables/>
   <w:SnapToGridInCell/>
   <w:WrapTextWithPunct/>
   <w:UseAsianBreakRules/>
   <w:DontGrowAutofit/>
  </w:Compatibility>
  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>
 </w:WordDocument>
</xml><![endif]--><!--[if gte mso 9]><xml>
 <w:LatentStyles DefLockedState="false" LatentStyleCount="156">
 </w:LatentStyles>
</xml><![endif]-->
<style>
<!--
 /* Style Definitions */
 p.MsoNormal, li.MsoNormal, div.MsoNormal
	{mso-style-parent:"";
	margin:0in;
	margin-bottom:.0001pt;
	mso-pagination:widow-orphan;
	font-size:10.0pt;
	mso-bidi-font-size:12.0pt;
	font-family:Arial;
	mso-fareast-font-family:"Times New Roman";}
span.GramE
	{mso-style-name:"";
	mso-gram-e:yes;}
@page Section1
	{size:8.5in 11.0in;
	margin:1.0in 1.25in 1.0in 1.25in;
	mso-header-margin:.5in;
	mso-footer-margin:.5in;
	mso-paper-source:0;}
div.Section1
	{page:Section1;}
-->
</style>
<!--[if gte mso 10]>
<style>
 /* Style Definitions */
 table.MsoNormalTable
	{mso-style-name:"Table Normal";
	mso-tstyle-rowband-size:0;
	mso-tstyle-colband-size:0;
	mso-style-noshow:yes;
	mso-style-parent:"";
	mso-padding-alt:0in 5.4pt 0in 5.4pt;
	mso-para-margin:0in;
	mso-para-margin-bottom:.0001pt;
	mso-pagination:widow-orphan;
	font-size:10.0pt;
	font-family:"Times New Roman";
	mso-ansi-language:#0400;
	mso-fareast-language:#0400;
	mso-bidi-language:#0400;}
</style>
<![endif]-->
</head>
<body lang=EN-US style=\'tab-interval:.5in\'>

<div class=Section1>

<p class=MsoNormal>UPS CONTROL <span class=GramE>LOG</span></p>

<p class=MsoNormal>DATE: ' . date('d') . ' ' . date('M') . ' ' . date('Y') . ' UPS SHIPPER NO. ' . $this->shipperNumber . ' </p>
<br />
<br />
<p class=MsoNormal>TRACKING # PACKAGE ID REFRENCE NUMBER DECLARED VALUE
CURRENCY </p>
<p class=MsoNormal>--------------------------------------------------------------------------------------------------------------------------
</p>
<br /><br />
<p class=MsoNormal>' . $this->trackingNumber . ' <span class=GramE>' . $this->packages[0]['packagingreferencenumbervalue'] . ' ' . round($this->codMonetaryValue, 2) . '</span> ' . $this->currencyCode . ' </p>
<br /><br />
<p class=MsoNormal>Total Number of Declared Value Packages = 1 </p>
<p class=MsoNormal>--------------------------------------------------------------------------------------------------------------------------
</p>
<br /><br />
<p class=MsoNormal>RECEIVED BY_________________________PICKUP
TIME__________________PKGS_______ </p>
</div>
</body>
</html>';
                        file_put_contents($path . "HVR" . $this->shipmentIdentificationNumber . ".html", $htmlHVReport);
                    }
                    return array(
                        'arrResponsXML' => $arrResponsXML,
                        'digest' => '' . $this->shipmentDigest . '',
                        'shipidnumber' => '' . $this->shipmentIdentificationNumber . '',
                        'price' => array('currency' => $shiplabelcurrency, 'price' => $shiplabelprice),
                        'inter_invoice' => $interInvoice,
                        'turn_in_page' => $turnInPage
                    );
                } else {
                    return array('error' => "CURL server error", 'request' => "Request Error", 'response' => "Response Error");
                }
            } else {
                $errorss = $xml->Response->Error[0];
                $this->_handy->_conf->log($errorss->ErrorDescription);
                return array('error' => $errorss->ErrorDescription, 'request' => $errorRequest, 'response' => $errorResponse);
            }
        } else {
            return array('error' => "CURL server error", 'request' => "Request Error", 'response' => "Response Error");
        }
    }

    public function getShipFrom($type = 'refund')
    {
        /* if(is_dir($filename)){} */
        $pathUpsdir = $this->_handy->_conf->getBaseDir('media') . '/upslabel/';
        if (!is_dir($pathUpsdir)) {
            mkdir($pathUpsdir, 0777);
            mkdir($pathUpsdir . "label/", 0777);
            mkdir($pathUpsdir . "test_xml/", 0777);
        }
        $path = $this->_handy->_conf->getBaseDir('media') . '/upslabel/label/';
        $pathXml = $this->_handy->_conf->getBaseDir('media') . '/upslabel/test_xml/';
        if (!file_exists($pathXml . ".htaccess")) {
            file_put_contents($pathXml . ".htaccess", "deny from all");
        }
        $this->customerContext = $this->shipperName;
        $validate = $this->_handy->_conf->getStoreConfig('upslabel/shipping/validate' /*multistore*/, $this->storeId /*multistore*/) == 1 ? 'validate' : 'nonvalidate';
        $data = "<?xml version=\"1.0\" ?><AccessRequest xml:lang='en-US'><AccessLicenseNumber>" . $this->accessLicenseNumber . "</AccessLicenseNumber><UserId>" . $this->userId . "</UserId><Password>" . $this->password . "</Password></AccessRequest>
        <?xml version=\"1.0\"?>
        <ShipmentConfirmRequest xml:lang=\"en-US\">
          <Request>
            <TransactionReference>
              <CustomerContext>" . $this->customerContext . "</CustomerContext>
              <XpciVersion/>
            </TransactionReference>
            <RequestAction>ShipConfirm</RequestAction>
            <RequestOption>" . $validate . "</RequestOption>
          </Request>
          <LabelSpecification>
            <LabelPrintMethod>
              <Code>GIF</Code>
              <Description>gif file</Description>
            </LabelPrintMethod>
            <HTTPUserAgent>Mozilla/4.5</HTTPUserAgent>
            <LabelImageFormat>
              <Code>GIF</Code>
              <Description>gif</Description>
            </LabelImageFormat>
          </LabelSpecification>
          <Shipment>";
        if ($this->_handy->_conf->getStoreConfig('upslabel/ratepayment/negotiatedratesindicator', $this->storeId) == 1) {
            $data .= "<RateInformation>
      <NegotiatedRatesIndicator/>
    </RateInformation>";
        }
        $data .= "<ShipmentServiceOptions>
                    <LabelDelivery>
                        <LabelLinksIndicator />
                    </LabelDelivery>";
        if ($this->carbonNeutral == 1) {
            $data .= "<UPScarbonneutralIndicator/>";
        }
        if ($this->qvn == 1) {
            $emailUndelivery = 0;
            foreach ($this->qvnCode AS $qvncode) {
                if ($qvncode == 2 || $qvncode == 5) {
                    $data .= "<Notification>
            <NotificationCode>" . $qvncode . "</NotificationCode>
            <EMailMessage>";
                    if (strlen($this->qvnEmailShipper) > 0) {
                        $data .= "<EMailAddress>" . $this->qvnEmailShipper . "</EMailAddress>";
                    }
                    if (strlen($this->qvnEmailShipto) > 0) {
                        $data .= "<EMailAddress>" . $this->qvnEmailShipto . "</EMailAddress>";
                    }
                    if (strlen($this->qvnEmailShipper) > 0 && $emailUndelivery == 0) {
                        $data .= "<UndeliverableEMailAddress>" . $this->qvnEmailShipper . "</UndeliverableEMailAddress>";
                        $emailUndelivery = 1;
                    }
                    $data .= "</EMailMessage>";
                    if (strlen($this->qvnLang) > 4) {
                        $qvnLang = explode(":", $this->qvnLang);
                        $data .= "<Locale><Language>" . $qvnLang[0] . "</Language><Dialect>" . $qvnLang[1] . "</Dialect></Locale>";
                    }
                    $data .= "</Notification>";
                }
            }
        }
        $data .= $this->saturdayDelivery . "</ShipmentServiceOptions>";
        $data .= "<ReturnService><Code>8</Code></ReturnService>";
        if (strlen($this->shipmentDescription) > 0) {
            $data .= "<Description>" . $this->shipmentDescription . "</Description>";
        }
        $data .= $this->setShipper() . $this->setShipFrom($type) . $this->setShipTo($type) . "
             <PaymentInformation>
              <Prepaid>
                <BillShipper>
                  <AccountNumber>" . $this->shipperNumber . "</AccountNumber>
                </BillShipper>
              </Prepaid>
            </PaymentInformation>
            <Service>
              <Code>" . $this->serviceCode . "</Code>
              <Description>" . $this->serviceDescription . "</Description>
            </Service>";
        if ($this->shiptoCountryCode != $this->shipfromCountryCode || ($this->shiptoCountryCode == $this->shipfromCountryCode && $this->shiptoCountryCode != 'US' && $this->shiptoCountryCode != 'PR')) {
            $data .= "<ReferenceNumber>";
            if ($this->_handy->_conf->getStoreConfig('upslabel/packaging/packagingreferencebarcode', $this->storeId) == 1) {
                $data .= "<BarCodeIndicator></BarCodeIndicator>";
            }
            $data .= "<Code>" . $this->packages[0]['packagingreferencenumbercode'] . "</Code>
		<Value>" . $this->packages[0]['packagingreferencenumbervalue'] . "</Value>
	  </ReferenceNumber>";
            if (isset($this->packages[0]['packagingreferencenumbercode2'])) {
                $data .= "<ReferenceNumber>";
                if ($this->_handy->_conf->getStoreConfig('upslabel/packaging/packagingreferencebarcode2', $this->storeId) == 1) {
                    $data .= "<BarCodeIndicator></BarCodeIndicator>";
                }
                $data .= "<Code>" . $this->packages[0]['packagingreferencenumbercode2'] . "</Code>
		<Value>" . $this->packages[0]['packagingreferencenumbervalue2'] . "</Value>
	  </ReferenceNumber>";
            }
        }
        foreach ($this->packages AS $pv) {
            $data .= "<Package>
      <PackagingType>
        <Code>" . $pv["packagingtypecode"] . "</Code>
      </PackagingType>
      <Description>" . $pv["packagingdescription"] . "</Description>";
            if (($this->shiptoCountryCode == 'US' || $this->shiptoCountryCode == 'PR') && $this->shiptoCountryCode == $this->shipfromCountryCode) {
                $data .= "<ReferenceNumber>";
                if ($this->_handy->_conf->getStoreConfig('upslabel/packaging/packagingreferencebarcode', $this->storeId) == 1) {
                    $data .= "<BarCodeIndicator></BarCodeIndicator>";
                }
                $data .= "<Code>" . $pv['packagingreferencenumbercode'] . "</Code>
		<Value>" . $pv['packagingreferencenumbervalue'] . "</Value>
	  </ReferenceNumber>";
                if (isset($pv['packagingreferencenumbercode2'])) {
                    $data .= "<ReferenceNumber>
	  	<Code>" . $pv['packagingreferencenumbercode2'] . "</Code>
		<Value>" . $pv['packagingreferencenumbervalue2'] . "</Value>
	  </ReferenceNumber>";
                }
            }
            $data .= array_key_exists('additionalhandling', $pv) ? $pv['additionalhandling'] : '';
            if ((isset($pv['length']) && isset($pv['width']) && isset($pv['height']) && strlen($pv['length']) > 0 && strlen($pv['width']) > 0 && strlen($pv['height']) > 0)
                || $pv['dimansion_id'] != 0
            ) {
                $data .= "<Dimensions>
<UnitOfMeasurement>
<Code>" . $this->unitOfMeasurement . "</Code>";
                $data .= "</UnitOfMeasurement>";
                if ($pv['dimansion_id'] == 0) {
                    if (isset($pv['length']) && strlen($pv['length']) > 0) {
                        $data .= "<Length>" . $pv['length'] . "</Length>
<Width>" . $pv['width'] . "</Width>
<Height>" . $pv['height'] . "</Height>";
                    }
                } else {
                    $data .= "<Length>" . $this->_handy->_conf->getStoreConfig('upslabel/dimansion_' . $pv['dimansion_id'] . '/length', $this->storeId) . "</Length>
<Width>" . $this->_handy->_conf->getStoreConfig('upslabel/dimansion_' . $pv['dimansion_id'] . '/width', $this->storeId) . "</Width>
<Height>" . $this->_handy->_conf->getStoreConfig('upslabel/dimansion_' . $pv['dimansion_id'] . '/height', $this->storeId) . "</Height>";
                }
                $data .= "</Dimensions>";
            }
            $data .= "<PackageWeight>
        <UnitOfMeasurement>
            <Code>" . $this->weightUnits . "</Code>";
            $packweight = array_key_exists('packweight', $pv) ? $pv['packweight'] : '';
            $weight = round(((float)str_replace(',', '.', $pv['weight']) + (is_numeric(str_replace(',', '.', $packweight)) ? $packweight : 0)), 1);
            $data .= "</UnitOfMeasurement>
        <Weight>" . $weight . "</Weight>";
            if (($weight > 40 && $this->weightUnits == 'KGS')
                || ($weight > 90 && $this->weightUnits == 'LBS')
            ) {
                $data .= "<LargePackageIndicator/>";
            }
            $data .= "</PackageWeight>
      <PackageServiceOptions>";
            if ($pv['insuredmonetaryvalue'] > 0) {
                $data .= "<InsuredValue>
                <CurrencyCode>" . (isset($pv['currencycode']) ? $pv['currencycode'] : '') . "</CurrencyCode>
                <MonetaryValue>" . (isset($pv['insuredmonetaryvalue']) ? $pv['insuredmonetaryvalue'] : '') . "</MonetaryValue>
                </InsuredValue>
              ";
            }
            $data .= "</PackageServiceOptions>
              </Package>";
            break;
        }
        $data .= "
          </Shipment>
        </ShipmentConfirmRequest>
        ";

        file_put_contents($pathXml . "ShipConfirmRequest.xml", $data);
        $errorRequest = $data;

        $cie = 'wwwcie';
        if (0 == $this->testing) {
            $cie = 'onlinetools';
        }

        $curl = $this->_handy->_conf;
        $curl->testing = !$this->testing;
        $result = $curl->curlSend('https://' . $cie . '.ups.com/ups.app/xml/ShipConfirm', $data);

        if (!$curl->error) {
            file_put_contents($pathXml . "ShipConfirmResponse.xml", $result);
            $errorResponse = $result;
        } else {
            return $result;
        }
        //return $result;
        $xml = simplexml_load_string($result);
        if ($xml->Response->ResponseStatusCode[0] == 1) {
            if ($xml->NegotiatedRates) {
                $shiplabelprice = $xml->NegotiatedRates->NetSummaryCharges->GrandTotal->MonetaryValue[0];
                $shiplabelcurrency = $xml->NegotiatedRates->NetSummaryCharges->GrandTotal->CurrencyCode[0];
            } else {
                $shiplabelprice = $xml->ShipmentCharges->TotalCharges->MonetaryValue[0];
                $shiplabelcurrency = $xml->ShipmentCharges->TotalCharges->CurrencyCode[0];
            }
            $this->shipmentDigest = $xml->ShipmentDigest[0];
            $data = "<?xml version=\"1.0\" ?><AccessRequest xml:lang='en-US'><AccessLicenseNumber>" . $this->accessLicenseNumber . "</AccessLicenseNumber><UserId>" . $this->userId . "</UserId><Password>" . $this->password . "</Password></AccessRequest><?xml version=\"1.0\" ?><ShipmentAcceptRequest><Request><TransactionReference><CustomerContext>" . $this->customerContext . "</CustomerContext><XpciVersion>1.0001</XpciVersion></TransactionReference><RequestAction>ShipAccept</RequestAction></Request><ShipmentDigest>" . $this->shipmentDigest . "</ShipmentDigest></ShipmentAcceptRequest>";

            file_put_contents($pathXml . "ShipAcceptRequest.xml", $data);
            $curl->testing = !$this->testing;
            $result = $curl->curlSend('https://' . $cie . '.ups.com/ups.app/xml/ShipAccept', $data);
            if (!$curl->error) {
                file_put_contents($pathXml . "ShipAcceptResponse.xml", $result);
            } else {
                return $result;
            }
            if (0 == $this->testing) {
                $cie = 'www';
            }
            $xml = simplexml_load_string($result);
            $this->shipmentIdentificationNumber = $xml->ShipmentResults[0]->ShipmentIdentificationNumber[0];
            $i = 0;
            foreach ($xml->ShipmentResults[0]->PackageResults AS $resultXML) {
                $arrResponsXML[$i]['trackingnumber'] = $resultXML->TrackingNumber[0];
                $arrResponsXML[$i]['type_print'] = "GIF";
                $htmlUrlUPS = 'https://' . $cie . '.ups.com';
                $curl->testing = !$this->testing;
                $c = $curl->curlSend($xml->ShipmentResults[$i]->LabelURL[0], "");

                if (!$curl->error && strlen($c) > 100) {
                    $imgName = preg_replace('/.*?FOLD\sHERE.*?<img\s*?src="(.+?)".*/is', '$1', $c);
                    $c = preg_replace('/<img\s*?src="/is', '<img src="' . $htmlUrlUPS, $c);
                    $this->htmlImage = $c;
                    file_put_contents($path . $arrResponsXML[$i]['trackingnumber'] . ".html", $this->htmlImage);
                    file_put_contents($pathXml . "HTML_image.html", $this->htmlImage);
                    $curl->testing = !$this->testing;
                    $c = $curl->curlSend("https://" . $cie . ".ups.com" . $imgName, "");
                    if (!$curl->error) {
                        $file = fopen($path . 'label' . $arrResponsXML[$i]['trackingnumber'] . '.gif', 'w');
                        fwrite($file, $c);
                        fclose($file);
                    }
                }
                $i += 1;
            }

            if ($this->codMonetaryValue > 999) {
                $htmlHVReport = '<html xmlns:o="urn:schemas-microsoft-com:office:office"
        xmlns:w="urn:schemas-microsoft-com:office:word"
        xmlns="http://www.w3.org/TR/REC-html40">

        <head>
        <meta http-equiv=Content-Type content="text/html; charset=windows-1252">
        <meta name=ProgId content=Word.Document>
        <meta name=Generator content="Microsoft Word 11">
        <meta name=Originator content="Microsoft Word 11">
        <link rel=File-List href="sample%20UPS%20CONTROL%20LOG_files/filelist.xml">
        <title>UPS CONTROL LOG </title>
        <!--[if gte mso 9]><xml>
         <o:DocumentProperties>
          <o:Author>xlm8zff</o:Author>
          <o:LastAuthor>xlm8zff</o:LastAuthor>
          <o:Revision>2</o:Revision>
          <o:TotalTime>2</o:TotalTime>
          <o:Created>2010-09-27T12:53:00Z</o:Created>
          <o:LastSaved>2010-09-27T12:53:00Z</o:LastSaved>
          <o:Pages>1</o:Pages>
          <o:Words>116</o:Words>
          <o:Characters>662</o:Characters>
          <o:Company>UPS</o:Company>
          <o:Lines>5</o:Lines>
          <o:Paragraphs>1</o:Paragraphs>
          <o:CharactersWithSpaces>777</o:CharactersWithSpaces>
          <o:Version>11.9999</o:Version>
         </o:DocumentProperties>
        </xml><![endif]--><!--[if gte mso 9]><xml>
         <w:WordDocument>
          <w:SpellingState>Clean</w:SpellingState>
          <w:GrammarState>Clean</w:GrammarState>
          <w:PunctuationKerning/>
          <w:ValidateAgainstSchemas/>
          <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>
          <w:IgnoreMixedContent>false</w:IgnoreMixedContent>
          <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>
          <w:Compatibility>
           <w:BreakWrappedTables/>
           <w:SnapToGridInCell/>
           <w:WrapTextWithPunct/>
           <w:UseAsianBreakRules/>
           <w:DontGrowAutofit/>
          </w:Compatibility>
          <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>
         </w:WordDocument>
        </xml><![endif]--><!--[if gte mso 9]><xml>
         <w:LatentStyles DefLockedState="false" LatentStyleCount="156">
         </w:LatentStyles>
        </xml><![endif]-->
        <style>
        <!--
         /* Style Definitions */
         p.MsoNormal, li.MsoNormal, div.MsoNormal
        	{mso-style-parent:"";
        	margin:0in;
        	margin-bottom:.0001pt;
        	mso-pagination:widow-orphan;
        	font-size:10.0pt;
        	mso-bidi-font-size:12.0pt;
        	font-family:Arial;
        	mso-fareast-font-family:"Times New Roman";}
        span.GramE
        	{mso-style-name:"";
        	mso-gram-e:yes;}
        @page Section1
        	{size:8.5in 11.0in;
        	margin:1.0in 1.25in 1.0in 1.25in;
        	mso-header-margin:.5in;
        	mso-footer-margin:.5in;
        	mso-paper-source:0;}
        div.Section1
        	{page:Section1;}
        -->
        </style>
        <!--[if gte mso 10]>
        <style>
         /* Style Definitions */
         table.MsoNormalTable
        	{mso-style-name:"Table Normal";
        	mso-tstyle-rowband-size:0;
        	mso-tstyle-colband-size:0;
        	mso-style-noshow:yes;
        	mso-style-parent:"";
        	mso-padding-alt:0in 5.4pt 0in 5.4pt;
        	mso-para-margin:0in;
        	mso-para-margin-bottom:.0001pt;
        	mso-pagination:widow-orphan;
        	font-size:10.0pt;
        	font-family:"Times New Roman";
        	mso-ansi-language:#0400;
        	mso-fareast-language:#0400;
        	mso-bidi-language:#0400;}
        </style>
        <![endif]-->
        </head>
        <body lang=EN-US style=\'tab-interval:.5in\'>

        <div class=Section1>

        <p class=MsoNormal>UPS CONTROL <span class=GramE>LOG</span></p>

        <p class=MsoNormal>DATE: ' . date('d') . ' ' . date('M') . ' ' . date('Y') . ' UPS SHIPPER NO. ' . $this->shipperNumber . ' </p>
        <br />
        <br />
        <p class=MsoNormal>TRACKING # PACKAGE ID REFRENCE NUMBER DECLARED VALUE
        CURRENCY </p>
        <p class=MsoNormal>--------------------------------------------------------------------------------------------------------------------------
        </p>
        <br /><br />
        <p class=MsoNormal>' . $this->trackingNumber . ' <span class=GramE>' . $this->packages[0]['packagingreferencenumbervalue'] . ' ' . round($this->codMonetaryValue, 2) . '</span> ' . $this->currencyCode . ' </p>
        <br /><br />
        <p class=MsoNormal>Total Number of Declared Value Packages = 1 </p>
        <p class=MsoNormal>--------------------------------------------------------------------------------------------------------------------------
        </p>
        <br /><br />
        <p class=MsoNormal>RECEIVED BY_________________________PICKUP
        TIME__________________PKGS_______ </p>
        </div>
        </body>
        </html>';
                file_put_contents($path . "HVR" . $this->shipmentIdentificationNumber . ".html", $htmlHVReport);
            }
            return array(
                'arrResponsXML' => $arrResponsXML,
                'digest' => '' . $this->shipmentDigest . '',
                'shipidnumber' => '' . $this->shipmentIdentificationNumber . '',
                'price' => array('currency' => $shiplabelcurrency, 'price' => $shiplabelprice),
            );
        } else {
            $errorss = $xml->Response->Error[0];
            $this->_handy->_conf->log($errorss->ErrorDescription);
            return array('error' => $errorss->ErrorDescription, 'request' => $errorRequest, 'response' => $errorResponse);
        }
    }

    public function getShipPrice($type = 'shipment')
    {
        $this->customerContext = $this->shipperName;
        $data = "<?xml version=\"1.0\" ?><AccessRequest xml:lang='en-US'><AccessLicenseNumber>" . $this->accessLicenseNumber . "</AccessLicenseNumber><UserId>" . $this->userId . "</UserId><Password>" . $this->password . "</Password></AccessRequest><?xml version=\"1.0\"?><RatingServiceSelectionRequest xml:lang=\"en-US\"><Request><TransactionReference><CustomerContext>" . $this->customerContext . "</CustomerContext><XpciVersion>1.0</XpciVersion></TransactionReference><RequestAction>Rate</RequestAction><RequestOption>Rate</RequestOption></Request>
  <Shipment>";
        if ($this->negotiatedRates == 1) {
            $data .= "
   <RateInformation>
      <NegotiatedRatesIndicator/>
    </RateInformation>";
        }
        if (strlen($this->shipmentDescription) > 0) {
            $data .= "<Description>" . $this->shipmentDescription . "</Description>";
        }
        $data .= $this->setShipper() . $this->setShipTo($type) . $this->setShipFrom($type);
        if ($this->shipmentcharge == 1) {
            $data .= "<ItemizedPaymentInformation>
            <ShipmentCharge>
      <Type>01</Type>
        <BillShipper>
          <AccountNumber>" . $this->shipperNumber . "</AccountNumber>
        </BillShipper>
      </ShipmentCharge>
      <ShipmentCharge>
      <Type>02</Type>
        <BillShipper>
          <AccountNumber>" . $this->shipperNumber . "</AccountNumber>
        </BillShipper>
      </ShipmentCharge>
    </ItemizedPaymentInformation>
    ";
        } else {
            $data .= "<PaymentInformation>
      <Prepaid>
        <BillShipper>
          <AccountNumber>" . $this->shipperNumber . "</AccountNumber>
        </BillShipper>
      </Prepaid>
    </PaymentInformation>
    ";
        }
        $data .= "<Service>
      <Code>" . $this->serviceCode . "</Code>
      <Description>" . $this->serviceDescription . "</Description>
    </Service>";
        foreach ($this->packages AS $pv) {
            $data .= "<Package>
      <PackagingType>
        <Code>" . $pv["packagingtypecode"] . "</Code>
      </PackagingType>
      <Description>" . $pv["packagingdescription"] . "</Description>";
            if (($this->shiptoCountryCode == 'US' || $this->shiptoCountryCode == 'PR') && $this->shiptoCountryCode == $this->shipfromCountryCode) {
                $data .= "<ReferenceNumber>
	  	<Code>" . $pv['packagingreferencenumbercode'] . "</Code>
		<Value>" . $pv['packagingreferencenumbervalue'] . "</Value>
	  </ReferenceNumber>";
                if (isset($pv['packagingreferencenumbercode2'])) {
                    $data .= "<ReferenceNumber>
	  	<Code>" . $pv['packagingreferencenumbercode2'] . "</Code>
		<Value>" . $pv['packagingreferencenumbervalue2'] . "</Value>
	  </ReferenceNumber>";
                }
            }
            $data .= array_key_exists('additionalhandling', $pv) ? $pv['additionalhandling'] : '';
            if ((isset($pv['length']) && isset($pv['width']) && isset($pv['height']) && strlen($pv['length']) > 0 && strlen($pv['width']) > 0 && strlen($pv['height']) > 0)
                || $pv['dimansion_id'] != 0
            ) {
                $data .= "<Dimensions>
<UnitOfMeasurement>
<Code>" . $this->unitOfMeasurement . "</Code>";
                $data .= "</UnitOfMeasurement>";
                if ($pv['dimansion_id'] == 0) {
                    if (isset($pv['length']) && strlen($pv['length']) > 0) {
                        $data .= "<Length>" . $pv['length'] . "</Length>
<Width>" . $pv['width'] . "</Width>
<Height>" . $pv['height'] . "</Height>";
                    }
                } else {
                    $data .= "<Length>" . $this->_handy->_conf->getStoreConfig('upslabel/dimansion_' . $pv['dimansion_id'] . '/length', $this->storeId) . "</Length>
<Width>" . $this->_handy->_conf->getStoreConfig('upslabel/dimansion_' . $pv['dimansion_id'] . '/width', $this->storeId) . "</Width>
<Height>" . $this->_handy->_conf->getStoreConfig('upslabel/dimansion_' . $pv['dimansion_id'] . '/height', $this->storeId) . "</Height>";
                }
                $data .= "</Dimensions>";
            }
            $data .= "<PackageWeight>
        <UnitOfMeasurement>
            <Code>" . $this->weightUnits . "</Code>";
            $packweight = array_key_exists('packweight', $pv) ? $pv['packweight'] : '';
            $weight = array_key_exists('weight', $pv) ? $pv['weight'] : '';
            $weight = round(($weight + (is_numeric(str_replace(',', '.', $packweight)) ? $packweight : 0)), 1);
            $data .= "</UnitOfMeasurement>
        <Weight>" . $weight . "</Weight>";
            if (($weight > 40 && $this->weightUnits == 'KGS')
                || ($weight > 90 && $this->weightUnits == 'LBS')
            ) {
                $data .= "<LargePackageIndicator/>";
            }
            $data .= "</PackageWeight>
      <PackageServiceOptions>";
            if (array_key_exists('insuredmonetaryvalue', $pv) && $pv['insuredmonetaryvalue'] > 0) {
                $currencycode = array_key_exists('currencycode', $pv) ? $pv['currencycode'] : '';
                $insuredmonetaryvalue = array_key_exists('insuredmonetaryvalue', $pv) ? $pv['insuredmonetaryvalue'] : '';
                $data .= "<InsuredValue>
                <CurrencyCode>" . $currencycode . "</CurrencyCode>
                <MonetaryValue>" . $insuredmonetaryvalue . "</MonetaryValue>
                </InsuredValue>
              ";
            }
            $cod = array_key_exists('cod', $pv) ? $pv['cod'] : 0;
            if ($cod == 1 && ($this->shiptoCountryCode == 'US' || $this->shiptoCountryCode == 'PR' || $this->shiptoCountryCode == 'CA') && ($this->shipfromCountryCode == 'US' || $this->shipfromCountryCode == 'PR' || $this->shipfromCountryCode == 'CA')) {
                $codfundscode = array_key_exists('codfundscode', $pv) ? $pv['codfundscode'] : '';
                $codmonetaryvalue = array_key_exists('codmonetaryvalue', $pv) ? $pv['codmonetaryvalue'] : '';
                $data .= "
              <COD>
                  <CODCode>3</CODCode>
                  <CODFundsCode>" . $codfundscode . "</CODFundsCode>
                  <CODAmount>
                      <CurrencyCod>" . $currencycode . "</CurrencyCod>
                      <MonetaryValue>" . $codmonetaryvalue . "</MonetaryValue>
                  </CODAmount>
              </COD>";
            }
            $data .= "</PackageServiceOptions>
              </Package>";
        }
        $data .= "<ShipmentServiceOptions>";
        if ($this->codYesNo == 1 && $this->shiptoCountryCode != 'US' && $this->shiptoCountryCode != 'PR' && $this->shiptoCountryCode != 'CA' && $this->shipfromCountryCode != 'US' && $this->shipfromCountryCode != 'PR' && $this->shipfromCountryCode != 'CA') {
            $data .= "<COD>
                  <CODCode>3</CODCode>
                  <CODFundsCode>" . $this->codFundsCode . "</CODFundsCode>
                  <CODAmount>
                      <CurrencyCod>" . $this->currencyCode . "</CurrencyCod>
                      <MonetaryValue>" . $this->codMonetaryValue . "</MonetaryValue>
                  </CODAmount>
              </COD>";
        }
        if ($this->carbonNeutral == 1) {
            $data .= "<UPScarbonneutralIndicator/>";
        }
        $data .= "</ShipmentServiceOptions>";
        $data .= "</Shipment>
</RatingServiceSelectionRequest>
";
        $cie = 'wwwcie';
        if (0 == $this->testing) {
            $cie = 'onlinetools';
        }

        $curl = $this->_handy->_conf;
        $curl->testing = !$this->testing;
        $result = $curl->curlSend('https://' . $cie . '.ups.com/ups.app/xml/Rate', $data);
        if (!$curl->error) {
            $xml = simplexml_load_string($result);
            if ($xml->Response->ResponseStatusCode[0] == 1) {
                $defaultPrice = $xml->RatedShipment[0]->TotalCharges[0]->MonetaryValue[0];
                $defaultCurrencyCode = $xml->RatedShipment[0]->TotalCharges[0]->CurrencyCode[0];
                if (!$defaultPrice) {
                    $defaultPrice = $xml->RatedShipment[0]->TotalCharges[0]->MonetaryValue;
                }
                if (!$defaultCurrencyCode) {
                    $defaultCurrencyCode = $xml->RatedShipment[0]->TotalCharges[0]->CurrencyCode;
                }
                $priceNegotiatedRates = array();
                if ($xml->RatedShipment[0]->NegotiatedRates || $xml->RatedShipment[0]->NegotiatedRates[0] || $xml->RatedShipment->NegotiatedRates || $xml->RatedShipment->NegotiatedRates[0]) {
                    $priceNegotiatedRates['MonetaryValue'] = $xml->RatedShipment[0]->NegotiatedRates[0]->NetSummaryCharges[0]->GrandTotal[0]->MonetaryValue[0];
                    $priceNegotiatedRates['CurrencyCode'] = $xml->RatedShipment[0]->NegotiatedRates[0]->NetSummaryCharges[0]->GrandTotal[0]->CurrencyCode[0];
                    if (!$priceNegotiatedRates['MonetaryValue']) {
                        $priceNegotiatedRates['MonetaryValue'] = $xml->RatedShipment[0]->NegotiatedRates[0]->NetSummaryCharges[0]->GrandTotal[0]->MonetaryValue;
                    }
                    if (!$priceNegotiatedRates['CurrencyCode']) {
                        $priceNegotiatedRates['CurrencyCode'] = $xml->RatedShipment[0]->NegotiatedRates[0]->NetSummaryCharges[0]->GrandTotal[0]->CurrencyCode;
                    }
                }
                return json_encode(array(
                    'price' => array(
                        'def' => array('MonetaryValue' => $defaultPrice, 'CurrencyCode' => $defaultCurrencyCode),
                        'negotiated' => $priceNegotiatedRates
                    ),
                ));
            } else {
                $error = array('error' => $xml->Response[0]->Error[0]->ErrorDescription[0]);
                return json_encode($error);
            }
        } else {
            return $result;
        }
    }

    public function getShipPriceFrom($type = 'refund')
    {
        $this->customerContext = $this->shipperName;
        $data = "<?xml version=\"1.0\" ?><AccessRequest xml:lang='en-US'><AccessLicenseNumber>" . $this->accessLicenseNumber . "</AccessLicenseNumber><UserId>" . $this->userId . "</UserId><Password>" . $this->password . "</Password></AccessRequest><?xml version=\"1.0\"?><RatingServiceSelectionRequest xml:lang=\"en-US\"><Request><TransactionReference><CustomerContext>" . $this->customerContext . "</CustomerContext><XpciVersion/></TransactionReference><RequestAction>Rate</RequestAction><RequestOption>Rate</RequestOption></Request>
          <Shipment>";
        if ($this->negotiatedRates == 1) {
            $data .= "<RateInformation>
      <NegotiatedRatesIndicator/>
    </RateInformation>";
        }
        if (strlen($this->shipmentDescription) > 0) {
            $data .= "<Description>" . $this->shipmentDescription . "</Description>";
        }
        $data .= $this->setShipper() . $this->setShipTo($type) . $this->setShipFrom($type) . "
            <Service>
              <Code>" . $this->serviceCode . "</Code>
              <Description>" . $this->serviceDescription . "</Description>
            </Service>";
        foreach ($this->packages AS $pv) {
            $data .= "<Package>
      <PackagingType>
        <Code>" . $pv["packagingtypecode"] . "</Code>
      </PackagingType>
      <Description>" . $pv["packagingdescription"] . "</Description>";
            if (($this->shiptoCountryCode == 'US' || $this->shiptoCountryCode == 'PR') && $this->shiptoCountryCode == $this->shipfromCountryCode) {
                $data .= "<ReferenceNumber>
	  	<Code>" . $pv['packagingreferencenumbercode'] . "</Code>
		<Value>" . $pv['packagingreferencenumbervalue'] . "</Value>
	  </ReferenceNumber>";
                if (isset($pv['packagingreferencenumbercode2'])) {
                    $data .= "<ReferenceNumber>
	  	<Code>" . $pv['packagingreferencenumbercode2'] . "</Code>
		<Value>" . $pv['packagingreferencenumbervalue2'] . "</Value>
	  </ReferenceNumber>";
                }
            }
            $data .= array_key_exists('additionalhandling', $pv) ? $pv['additionalhandling'] : '';
            if ((isset($pv['length']) && isset($pv['width']) && isset($pv['height']) && strlen($pv['length']) > 0 && strlen($pv['width']) > 0 && strlen($pv['height']) > 0)
                || $pv['dimansion_id'] != 0
            ) {
                $data .= "<Dimensions>
<UnitOfMeasurement>
<Code>" . $this->unitOfMeasurement . "</Code>";
                $data .= "</UnitOfMeasurement>";
                if ($pv['dimansion_id'] == 0) {
                    if (isset($pv['length']) && strlen($pv['length']) > 0) {
                        $data .= "<Length>" . $pv['length'] . "</Length>
<Width>" . $pv['width'] . "</Width>
<Height>" . $pv['height'] . "</Height>";
                    }
                } else {
                    $data .= "<Length>" . $this->_handy->_conf->getStoreConfig('upslabel/dimansion_' . $pv['dimansion_id'] . '/length', $this->storeId) . "</Length>
<Width>" . $this->_handy->_conf->getStoreConfig('upslabel/dimansion_' . $pv['dimansion_id'] . '/width', $this->storeId) . "</Width>
<Height>" . $this->_handy->_conf->getStoreConfig('upslabel/dimansion_' . $pv['dimansion_id'] . '/height', $this->storeId) . "</Height>";
                }
                $data .= "</Dimensions>";
            }
            $data .= "<PackageWeight>
        <UnitOfMeasurement>
            <Code>" . $this->weightUnits . "</Code>";
            $weight = round(((float)str_replace(',', '.', $pv['weight']) + (is_numeric(str_replace(',', '.', $pv['packweight'])) ? $pv['packweight'] : 0)), 1);
            $data .= "</UnitOfMeasurement>
        <Weight>" . $weight . "</Weight>";
            if (($weight > 40 && $this->weightUnits == 'KGS')
                || ($weight > 90 && $this->weightUnits == 'LBS')
            ) {
                $data .= "<LargePackageIndicator/>";
            }
            $data .= "</PackageWeight>
      <PackageServiceOptions>";
            if ($pv['insuredmonetaryvalue'] > 0) {
                $data .= "<InsuredValue>
                <CurrencyCode>" . $pv['currencycode'] . "</CurrencyCode>
                <MonetaryValue>" . $pv['insuredmonetaryvalue'] . "</MonetaryValue>
                </InsuredValue>
              ";
            }
            if ($pv['cod'] == 1 && ($this->shiptoCountryCode == 'US' || $this->shiptoCountryCode == 'PR' || $this->shiptoCountryCode == 'CA') && ($this->shipfromCountryCode == 'US' || $this->shipfromCountryCode == 'PR' || $this->shipfromCountryCode == 'CA')) {
                $data .= "
              <COD>
                  <CODCode>3</CODCode>
                  <CODFundsCode>0</CODFundsCode>
                  <CODAmount>
                      <CurrencyCod>" . $pv['currencycode'] . "</CurrencyCod>
                      <MonetaryValue>" . $pv['codmonetaryvalue'] . "</MonetaryValue>
                  </CODAmount>
              </COD>";
            }
            $data .= "</PackageServiceOptions>
              </Package>";
            break;
        }
        $data .= "</Shipment>
        </RatingServiceSelectionRequest>
        ";
        $cie = 'wwwcie';
        if (0 == $this->testing) {
            $cie = 'onlinetools';
        }

        $curl = $this->_handy->_conf;
        $curl->testing = !$this->testing;
        $result = $curl->curlSend('https://' . $cie . '.ups.com/ups.app/xml/Rate', $data);

        if (!$curl->error) {
            $xml = simplexml_load_string($result);
            if ($xml->Response->ResponseStatusCode[0] == 1) {
                $defaultPrice = $xml->RatedShipment[0]->TotalCharges[0]->MonetaryValue[0];
                $defaultCurrencyCode = $xml->RatedShipment[0]->TotalCharges[0]->CurrencyCode[0];
                if (!$defaultPrice) {
                    $defaultPrice = $xml->RatedShipment[0]->TotalCharges[0]->MonetaryValue;
                }
                if (!$defaultCurrencyCode) {
                    $defaultCurrencyCode = $xml->RatedShipment[0]->TotalCharges[0]->CurrencyCode;
                }
                $priceNegotiatedRates = array();
                if ($xml->RatedShipment[0]->NegotiatedRates || $xml->RatedShipment[0]->NegotiatedRates[0] || $xml->RatedShipment->NegotiatedRates || $xml->RatedShipment->NegotiatedRates[0]) {
                    $priceNegotiatedRates['MonetaryValue'] = $xml->RatedShipment[0]->NegotiatedRates[0]->NetSummaryCharges[0]->GrandTotal[0]->MonetaryValue[0];
                    $priceNegotiatedRates['CurrencyCode'] = $xml->RatedShipment[0]->NegotiatedRates[0]->NetSummaryCharges[0]->GrandTotal[0]->CurrencyCode[0];
                    if (!$priceNegotiatedRates['MonetaryValue']) {
                        $priceNegotiatedRates['MonetaryValue'] = $xml->RatedShipment[0]->NegotiatedRates[0]->NetSummaryCharges[0]->GrandTotal[0]->MonetaryValue;
                    }
                    if (!$priceNegotiatedRates['CurrencyCode']) {
                        $priceNegotiatedRates['CurrencyCode'] = $xml->RatedShipment[0]->NegotiatedRates[0]->NetSummaryCharges[0]->GrandTotal[0]->CurrencyCode;
                    }
                }
                return json_encode(array(
                    'price' => array(
                        'def' => array('MonetaryValue' => $defaultPrice, 'CurrencyCode' => $defaultCurrencyCode),
                        'negotiated' => $priceNegotiatedRates
                    ),
                ));
            } else {
                $error = array('error' => $xml->Response[0]->Error[0]->ErrorDescription[0]);
                return json_encode($error);
            }
        } else {
            return $result;
        }
    }

    public function deleteLabel($trnum)
    {
        $pathXml = $this->_handy->_conf->getBaseDir('media') . '/upslabel/test_xml/';
        $cie = 'wwwcie';
        $testing = $this->testing;
        $shipIndefNumbr = $trnum;
        if (0 == $testing) {
            $cie = 'onlinetools';
        } else {
            /*$trnum = '1Z2220060291994175';*/
            $shipIndefNumbr = '1ZISDE016691676846';
        }
        $data = "<?xml version=\"1.0\" ?><AccessRequest xml:lang='en-US'><AccessLicenseNumber>" . $this->accessLicenseNumber . "</AccessLicenseNumber><UserId>" . $this->userId . "</UserId><Password>" . $this->password . "</Password></AccessRequest><?xml version=\"1.0\" ?><VoidShipmentRequest><Request><RequestAction>1</RequestAction></Request><ShipmentIdentificationNumber>" . $shipIndefNumbr . "</ShipmentIdentificationNumber><ExpandedVoidShipment><ShipmentIdentificationNumber>" . $shipIndefNumbr . "</ShipmentIdentificationNumber></ExpandedVoidShipment></VoidShipmentRequest>";
        file_put_contents($pathXml . "VoidShipmentRequest.xml", $data);

        $curl = $this->_handy->_conf;
        $curl->testing = !$this->testing;
        $result = $curl->curlSend('https://' . $cie . '.ups.com/ups.app/xml/Void', $data);
        if (!$curl->error) {
            file_put_contents($pathXml . "VoidShipmentResponse.xml", $result);
            $xml = simplexml_load_string($result);
            if ($xml->Response->Error[0] && (int)$xml->Response->Error[0]->ErrorCode != 190117) {
                $errorss = $xml->Response->Error[0];
                return array('error' => $errorss->ErrorDescription);
            } else {
                return NULL;
            }
        } else {
            return $result;
        }
    }

    public function getPickup()
    {
        $pathUpsdir = $this->_handy->_conf->getBaseDir('media') . '/upslabel/';
        if (!is_dir($pathUpsdir)) {
            mkdir($pathUpsdir, 0777);
            mkdir($pathUpsdir . "label/", 0777);
            mkdir($pathUpsdir . "test_xml/", 0777);
        }
        $pathXml = $this->_handy->_conf->getBaseDir('media') . '/upslabel/test_xml/';
        if (!file_exists($pathXml . ".htaccess")) {
            file_put_contents($pathXml . ".htaccess", "deny from all");
        }
        $this->customerContext = str_replace('&', '&amp;', strtolower($this->shipfromCompanyName));

        $data = '<envr:Envelope xmlns:envr="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:common="http://www.ups.com/XMLSchema/XOLTWS/Common/v1.0" xmlns:wsf="http://www.ups.com/schema/wsf" xmlns:upss="http://www.ups.com/XMLSchema/XOLTWS/UPSS/v1.0">
	<envr:Header>
		<upss:UPSSecurity>
			<upss:UsernameToken>
				<upss:Username>' . $this->userId . '</upss:Username>
				<upss:Password>' . $this->password . '</upss:Password>
			</upss:UsernameToken>
			<upss:ServiceAccessToken>
				<upss:AccessLicenseNumber>' . $this->accessLicenseNumber . '</upss:AccessLicenseNumber>
			</upss:ServiceAccessToken>
		</upss:UPSSecurity>
		<common:ClientInformation>
			<common:Property Key="DataSource">AG</common:Property>
			<common:Property Key="ClientCode">APS</common:Property>
		</common:ClientInformation>
	</envr:Header>';
        $data .= "<envr:Body><PickupCreationRequest xmlns=\"http://www.ups.com/XMLSchema/XOLTWS/Pickup/v1.1\" xmlns:common=\"http://www.ups.com/XMLSchema/XOLTWS/Common/v1.0\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">
    <RatePickupIndicator>" . $this->ratePickupIndicator . "</RatePickupIndicator>
    <Shipper>
        <Account>
            <AccountNumber>" . $this->shipperNumber . "</AccountNumber>
            <AccountCountryCode>" . $this->shipperCountryCode . "</AccountCountryCode>
        </Account>
    </Shipper>
    <PickupDateInfo>
        <CloseTime>" . str_replace(",", "", substr($this->closeTime, 0, 5)) . "</CloseTime>
        <ReadyTime>" . str_replace(",", "", substr($this->readyTime, 0, 5)) . "</ReadyTime>
        <PickupDate>" . ($this->pickupDateYear . $this->pickupDateMonth . $this->pickupDateDay) . "</PickupDate>
    </PickupDateInfo>
    <PickupAddress>
        <CompanyName>" . $this->shipfromCompanyName . "</CompanyName>
        <ContactName>" . $this->shipfromAttentionName . "</ContactName>
        <AddressLine>" . $this->shipfromAddressLine1 . "</AddressLine>";
        if (strlen($this->room) > 0) {
            $data .= "<Room>" . $this->room . "</Room>";
        }
        if (strlen($this->floor) > 0) {
            $data .= "<Floor>" . $this->floor . "</Floor>";
        }
        $data .= "<City>" . $this->shipfromCity . "</City>";
        if (strlen($this->shipfromStateProvinceCode) > 0) {
            $data .= "<StateProvince>" . $this->shipfromStateProvinceCode . "</StateProvince>";
        }
        if (strlen($this->urbanization) > 0) {
            $data .= "<Urbanization>" . $this->urbanization . "</Urbanization>";
        }
        $data .= "<PostalCode>" . $this->shipfromPostalCode . "</PostalCode>
        <CountryCode>" . $this->shipfromCountryCode . "</CountryCode>
        <ResidentialIndicator>" . $this->residential . "</ResidentialIndicator>";
        if (strlen($this->pickupPoint) > 0) {
            $data .= "<PickupPoint>" . $this->pickupPoint . "</PickupPoint>";
        }
        $data .= "<Phone><Number>" . $this->shipfromPhoneNumber . "</Number></Phone>
    </PickupAddress>
    <AlternateAddressIndicator>" . $this->alternateAddressIndicator . "</AlternateAddressIndicator>
    <PickupPiece>
        <ServiceCode>" . $this->serviceCode . "</ServiceCode>
        <Quantity>" . $this->quantity . "</Quantity>
        <DestinationCountryCode>" . $this->destinationCountryCode . "</DestinationCountryCode>
        <ContainerCode>" . $this->containerCode . "</ContainerCode>
    </PickupPiece>";
        if (strlen($this->weight) > 0) {
            $data .= "<TotalWeight>
            <Weight>" . $this->weight . "</Weight>
            <UnitOfMeasurement>" . $this->unitOfMeasurement . "</UnitOfMeasurement>
            <OverweightIndicator>" . $this->overweightIndicator . "</OverweightIndicator>
        </TotalWeight>";
        }
        $data .= "
    <PaymentMethod>" . $this->paymentMethod . "</PaymentMethod>
    ";
        if (strlen($this->specialInstruction) > 0) {
            $data .= "<SpecialInstruction>" . $this->specialInstruction . "</SpecialInstruction>";
        }
        if (strlen($this->referenceNumber) > 0) {
            $data .= "<ReferenceNumber>" . $this->referenceNumber . "</ReferenceNumber>";
        }
        if ($this->notification == 1) {
            $data .= "<Notification>";
            $confirmEmail = explode(",", $this->confirmationEmailAddress);
            if (count($confirmEmail) > 0) {
                foreach ($confirmEmail AS $v) {
                    $data .= "<ConfirmationEmailAddress>" . trim($v) . "</ConfirmationEmailAddress>";
                }
            }
            $data .= "<UndeliverableEmailAddress>" . $this->undeliverableEmailAddress . "</UndeliverableEmailAddress>";
            $data .= "</Notification>";
        }
        $data .= "
</PickupCreationRequest></envr:Body>
</envr:Envelope>";
        $file = file_put_contents($pathXml . "PickupRequest.xml", $data);
        $cie = 'wwwcie';
        if (0 == $this->testing) {
            $cie = 'onlinetools';
        }
        $curl = $this->_handy->_conf;
        $result = $curl->curlSetOption('https://' . $cie . '.ups.com/webservices/Pickup', $data);
        $result = strstr($result, '<soapenv:');
        if ($result) {
            file_put_contents($pathXml . "PickupResponse.xml", $result);
        }
        //return $result;
        $xml = simplexml_load_string($result);
        $soap = $xml->children('soapenv', true)->Body[0];
        $response = $soap->children('pkup', true);
        $common = $response->children('common', true);
        if ($response && $common && (int)$common->Response[0]->ResponseStatus[0]->Code[0] == 1 && (string)$common->Response[0]->ResponseStatus[0]->Description[0] == "Success") {
            return array(
                'Description' => $response->children('common', true)->Response[0]->ResponseStatus[0]->Description[0],
                'data' => $data,
                'response' => $result
            );
        } else {
            $error = '<h1>Error</h1> <ul>';
            $errorss = $soap->Fault[0]->children()->detail[0]->children('err', true)->Errors[0]->ErrorDetail[0];
            $error .= '<li>Error Severity : ' . $errorss->Severity[0] . '</li>';
            $error .= '<li>Error Code : ' . $errorss->PrimaryErrorCode[0]->Code[0] . '</li>';
            $error .= '<li>Error Description : ' . $errorss->PrimaryErrorCode[0]->Description[0] . '</li>';
            $error .= '</ul>';
            $error .= '<textarea>' . $result . '</textarea>';
            $error .= '<textarea>' . $data . '</textarea>';
            return array('error' => $error, 'data' => $data, 'response' => $result);
            //return print_r($xml->Response->Error);
        }
    }

    public function cancelPickup($PRN)
    {
        $pathUpsdir = $this->_handy->_conf->getBaseDir('media') . '/upslabel/';
        if (!is_dir($pathUpsdir)) {
            mkdir($pathUpsdir, 0777);
            mkdir($pathUpsdir . "label/", 0777);
            mkdir($pathUpsdir . "test_xml/", 0777);
        }
        $pathXml = $this->_handy->_conf->getBaseDir('media') . '/upslabel/test_xml/';
        if (!file_exists($pathXml . ".htaccess")) {
            file_put_contents($pathXml . ".htaccess", "deny from all");
        }
        $cie = 'wwwcie';
        if (0 == $this->testing) {
            $cie = 'onlinetools';
            /*$PRN = '02';*/
        }
        /*else {
            $PRN = '2929602E9CP';
        }*/
        $data = '<envr:Envelope xmlns:envr="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:common="http://www.ups.com/XMLSchema/XOLTWS/Common/v1.0" xmlns:wsf="http://www.ups.com/schema/wsf" xmlns:upss="http://www.ups.com/XMLSchema/XOLTWS/UPSS/v1.0">
	<envr:Header>
		<upss:UPSSecurity>
			<upss:UsernameToken>
				<upss:Username>' . $this->userId . '</upss:Username>
				<upss:Password>' . $this->password . '</upss:Password>
			</upss:UsernameToken>
			<upss:ServiceAccessToken>
				<upss:AccessLicenseNumber>' . $this->accessLicenseNumber . '</upss:AccessLicenseNumber>
			</upss:ServiceAccessToken>
		</upss:UPSSecurity>
		<common:ClientInformation>
			<common:Property Key="DataSource">AG</common:Property>
			<common:Property Key="ClientCode">APS</common:Property>
		</common:ClientInformation>
	</envr:Header>';
        $data .= "<envr:Body><PickupCancelRequest xmlns=\"http://www.ups.com/XMLSchema/XOLTWS/Pickup/v1.1\" xmlns:common=\"http://www.ups.com/XMLSchema/XOLTWS/Common/v1.0\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">
        <Request></Request>
        <CancelBy>02</CancelBy>
        <PRN>" . $PRN . "</PRN>";
        $data .= "</PickupCancelRequest></envr:Body>
</envr:Envelope>";
        file_put_contents($pathXml . "PickupCancelRequest.xml", $data);

        $curl = $this->_handy->_conf;
        $result = $curl->curlSetOption('https://' . $cie . '.ups.com/webservices/Pickup', $data);
        $result = strstr($result, '<soapenv:');
        if ($result) {
            file_put_contents($pathXml . "PickupCancelResponse.xml", $result);
        }

        $xml = simplexml_load_string($result);
        $soap = $xml->children('soapenv', true)->Body[0];
        $response = $soap->children('pkup', true);
        $common = $response->children('common', true);
        if ($response && $common && (int)$common->Response[0]->ResponseStatus[0]->Code[0] == 1 && (string)$common->Response[0]->ResponseStatus[0]->Description[0] == "Success") {
            return array(
                'Description' => "Canceled",
                'data' => $data,
                'response' => $result
            );
        } else {
            $error = '<h1>Error</h1> <ul>';
            $errorss = $soap->Fault[0]->children()->detail[0]->children('err', true)->Errors[0]->ErrorDetail[0];
            $error .= '<li>Error Severity : ' . $errorss->Severity[0] . '</li>';
            $error .= '<li>Error Code : ' . $errorss->PrimaryErrorCode[0]->Code[0] . '</li>';
            $error .= '<li>Error Description : ' . $errorss->PrimaryErrorCode[0]->Description[0] . '</li>';
            $error .= '</ul>';
            $error .= '<textarea>' . $result . '</textarea>';
            $error .= '<textarea>' . $data . '</textarea>';
            return array('error' => $error, 'data' => $data, 'response' => $result);
            //return print_r($xml->Response->Error);
        }
    }

    public function statusPickup()
    {
        /* if(is_dir($filename)){} */
        $pathUpsdir = $this->_handy->_conf->getBaseDir('media') . '/upslabel/';
        if (!is_dir($pathUpsdir)) {
            mkdir($pathUpsdir, 0777);
            mkdir($pathUpsdir . "label/", 0777);
            mkdir($pathUpsdir . "test_xml/", 0777);
        }
        $pathXml = $this->_handy->_conf->getBaseDir('media') . '/upslabel/test_xml/';
        if (!file_exists($pathXml . ".htaccess")) {
            file_put_contents($pathXml . ".htaccess", "deny from all");
        }
        $data = '<envr:Envelope xmlns:envr="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:common="http://www.ups.com/XMLSchema/XOLTWS/Common/v1.0" xmlns:wsf="http://www.ups.com/schema/wsf" xmlns:upss="http://www.ups.com/XMLSchema/XOLTWS/UPSS/v1.0">
	<envr:Header>
		<upss:UPSSecurity>
			<upss:UsernameToken>
				<upss:Username>' . $this->userId . '</upss:Username>
				<upss:Password>' . $this->password . '</upss:Password>
			</upss:UsernameToken>
			<upss:ServiceAccessToken>
				<upss:AccessLicenseNumber>' . $this->accessLicenseNumber . '</upss:AccessLicenseNumber>
			</upss:ServiceAccessToken>
		</upss:UPSSecurity>
		<common:ClientInformation>
			<common:Property Key="DataSource">AG</common:Property>
			<common:Property Key="ClientCode">APS</common:Property>
		</common:ClientInformation>
	</envr:Header>';
        $data .= "<envr:Body><PickupPendingStatusRequest xmlns=\"http://www.ups.com/XMLSchema/XOLTWS/Pickup/v1.1\" xmlns:common=\"http://www.ups.com/XMLSchema/XOLTWS/Common/v1.0\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">
        <Request></Request>
        <PickupType>01</PickupType>
        <AccountNumber>" . $this->shipperNumber . "</AccountNumber>";
        $data .= "</PickupPendingStatusRequest></envr:Body>
</envr:Envelope>";
        file_put_contents($pathXml . "PickupPendingStatusRequest.xml", $data);
        $cie = 'wwwcie';
        if (0 == $this->testing) {
            $cie = 'onlinetools';
        }

        $curl = $this->_handy->_conf;
        $result = $curl->curlSetOption('https://' . $cie . '.ups.com/webservices/Pickup', $data);
        $result = strstr($result, '<soapenv:');
        if ($result) {
            file_put_contents($pathXml . "PickupPendingStatusResponse.xml", $result);
        }
        $xml = simplexml_load_string($result);
        $soap = $xml->children('soapenv', true)->Body[0];
        $response = $soap->children('pkup', true);
        if ($response && $response->children('common', true)->Response[0]->ResponseStatus[0]->Code[0] == 1 && $response->children('common', true)->Response[0]->ResponseStatus[0]->Description[0] == "Success") {
            return array(
                'Description' => "Canceled",
                'data' => $data,
                'response' => $result
            );
        } else {
            $error = '<h1>Error</h1> <ul>';
            $errorss = $soap->Fault[0]->children()->detail[0]->children('err', true)->Errors[0]->ErrorDetail[0];
            $error .= '<li>Error Severity : ' . $errorss->Severity[0] . '</li>';
            $error .= '<li>Error Code : ' . $errorss->PrimaryErrorCode[0]->Code[0] . '</li>';
            $error .= '<li>Error Description : ' . $errorss->PrimaryErrorCode[0]->Description[0] . '</li>';
            $error .= '</ul>';
            $error .= '<textarea>' . $result . '</textarea>';
            $error .= '<textarea>' . $data . '</textarea>';
            return array('error' => $error, 'data' => $data, 'response' => $result);
            //return print_r($xml->Response->Error);
        }
    }

    public function ratePickup()
    {
        $data = '<envr:Envelope xmlns:envr="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:common="http://www.ups.com/XMLSchema/XOLTWS/Common/v1.0" xmlns:wsf="http://www.ups.com/schema/wsf" xmlns:upss="http://www.ups.com/XMLSchema/XOLTWS/UPSS/v1.0">
	<envr:Header>
		<upss:UPSSecurity>
			<upss:UsernameToken>
				<upss:Username>' . $this->userId . '</upss:Username>
				<upss:Password>' . $this->password . '</upss:Password>
			</upss:UsernameToken>
			<upss:ServiceAccessToken>
				<upss:AccessLicenseNumber>' . $this->accessLicenseNumber . '</upss:AccessLicenseNumber>
			</upss:ServiceAccessToken>
		</upss:UPSSecurity>
		<common:ClientInformation>
			<common:Property Key="DataSource">AG</common:Property>
			<common:Property Key="ClientCode">APS</common:Property>
		</common:ClientInformation>
	</envr:Header>';
        $data .= "<envr:Body><PickupRateRequest xmlns=\"http://www.ups.com/XMLSchema/XOLTWS/Pickup/v1.1\" xmlns:common=\"http://www.ups.com/XMLSchema/XOLTWS/Common/v1.0\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">
        <Request></Request>
    <PickupAddress>
        <AddressLine>" . $this->shipfromAddressLine1 . "</AddressLine>";
        $data .= "<City>" . $this->shipfromCity . "</City>";
        $data .= "<StateProvince>" . $this->shipfromStateProvinceCode . "</StateProvince>";
        $data .= "<PostalCode>" . $this->shipfromPostalCode . "</PostalCode>
        <CountryCode>" . $this->shipfromCountryCode . "</CountryCode>
        <ResidentialIndicator>" . $this->residential . "</ResidentialIndicator>";
        $data .= "</PickupAddress>
    <AlternateAddressIndicator>" . $this->alternateAddressIndicator . "</AlternateAddressIndicator>
    <ServiceDateOption>" . ($this->pickupDateYear . $this->pickupDateMonth . $this->pickupDateDay == date("Ymd") ? "01" : "02") . "</ServiceDateOption>
    <PickupDateInfo>
        <CloseTime>" . str_replace(",", "", substr($this->closeTime, 0, 5)) . "</CloseTime>
        <ReadyTime>" . str_replace(",", "", substr($this->readyTime, 0, 5)) . "</ReadyTime>
        <PickupDate>" . ($this->pickupDateYear . $this->pickupDateMonth . $this->pickupDateDay) . "</PickupDate>
    </PickupDateInfo>";
        $data .= "</PickupRateRequest></envr:Body>
</envr:Envelope>";
        $cie = 'wwwcie';
        if (0 == $this->testing) {
            $cie = 'onlinetools';
        }
        $curl = $this->_handy->_conf;
        $result = $curl->curlSetOption('https://' . $cie . '.ups.com/webservices/Pickup', $data);
        $result = strstr($result, '<soapenv:');
        $xml = simplexml_load_string($result);
        $soap = $xml->children('soapenv', true);
        if ($soap->count() > 0) {
            $soap = $soap->Body[0];
            $response = $soap->children('pkup', true);
            if ($response->count() > 0) {
                $common = $response->children('common', true);
                if ($common->count() > 0 && $common->Response[0]->ResponseStatus[0]->Code[0] == 1 && $common->Response[0]->ResponseStatus[0]->Description[0] == "Success") {
                    $pukp = $soap->children('pkup', true);
                    if ($pukp->count() > 0) {
                        return $pukp->PickupRateResponse[0]->RateResult[0]->GrandTotalOfAllCharge;
                    }
                }
            }
        }
    }

    function getShipRate()
    {
        $this->customerContext = $this->shipperName;
        $weightSum = 0;
        $data = "<?xml version=\"1.0\" ?><AccessRequest xml:lang='en-US'><accessLicenseNumber>" . $this->AccessLicenseNumber . "</accessLicenseNumber><UserId>" . $this->userId . "</UserId><Password>" . $this->password . "</Password></AccessRequest>
<?xml version=\"1.0\"?>
<RatingServiceSelectionRequest xml:lang=\"en-US\">
  <Request>
    <TransactionReference>
      <CustomerContext>Rating and Service</CustomerContext>
      <XpciVersion>1.0</XpciVersion>
    </TransactionReference>
    <RequestAction>Rate</RequestAction>
    <RequestOption>Shop</RequestOption>
  </Request>
  <PickupType>
          <Code>03</Code>
          <Description>Customer Counter</Description>
  </PickupType>
  <Shipment>";
        if ($this->negotiatedRates == 1) {
            $data .= "
   <RateInformation>
      <NegotiatedRatesIndicator/>
    </RateInformation>";
        }
        $data .= "<Shipper>";
        $data .= "<ShipperNumber>" . $this->shipperNumber . "</ShipperNumber>
      <Address>
    	<City>" . $this->shipperCity . "</City>
    	<StateProvinceCode>" . $this->shipperStateProvinceCode . "</StateProvinceCode>
    	<PostalCode>" . $this->shipperPostalCode . "</PostalCode>
    	<CountryCode>" . $this->shipperCountryCode . "</CountryCode>
     </Address>
    </Shipper>
	<ShipTo>
      <Address>
        <StateProvinceCode>" . $this->shiptoStateProvinceCode . "</StateProvinceCode>
        <PostalCode>" . $this->shiptoPostalCode . "</PostalCode>
        <CountryCode>" . $this->shiptoCountryCode . "</CountryCode>
        <ResidentialAddress>02</ResidentialAddress>
      </Address>
    </ShipTo>
    <ShipFrom>
      <Address>
    	<StateProvinceCode>" . $this->shipfromStateProvinceCode . "</StateProvinceCode>
    	<PostalCode>" . $this->shipfromPostalCode . "</PostalCode>
    	<CountryCode>" . $this->shipfromCountryCode . "</CountryCode>
      </Address>
    </ShipFrom>";
        foreach ($this->packages AS $pv) {
            $data .= "<Package>
      <PackagingType>
        <Code>" . $pv["packagingtypecode"] . "</Code>
      </PackagingType>";
            $data .= array_key_exists('additionalhandling', $pv) ? $pv['additionalhandling'] : '';
            $data .= "<PackageWeight>
        <UnitOfMeasurement>
            <Code>" . $this->weightUnits . "</Code>";
            $packweight = array_key_exists('packweight', $pv) ? $pv['packweight'] : '';
            $weight = array_key_exists('weight', $pv) ? $pv['weight'] : '';
            $weight = round(($weight + (is_numeric(str_replace(',', '.', $packweight)) ? $packweight : 0)), 1);
            $weightSum += $weight;
            $data .= "</UnitOfMeasurement>
        <Weight>" . $weight . "</Weight>";
            if (($weight > 40 && $this->weightUnits == 'KGS')
                || ($weight > 90 && $this->weightUnits == 'LBS')
            ) {
                $data .= "<LargePackageIndicator/>";
            }
            $data .= "</PackageWeight>
              </Package>";
        }
        $data .= "</Shipment></RatingServiceSelectionRequest>";
        $cie = 'wwwcie';
        if (0 == $this->testing) {
            $cie = 'onlinetools';
        }
        $curl = $this->_handy->_conf;
        $result = $curl->curlSetOption('https://' . $cie . '.ups.com/ups.app/xml/Rate', $data);
        $result = strstr($result, '<?xml');
        //return $data;
        $xml = simplexml_load_string($result);
        if ($xml->Response->ResponseStatusCode[0] == 1) {
            $rates = array();
            $timeInTransit = null;
            foreach ($xml->RatedShipment AS $rated) {
                if (is_array($rated->Service) && count($rated->Service) > 0) {
                    if (is_array($rated->Service[0]->Code) && count($rated->Service[0]->Code) > 0) {
                        $rateCode = (string)$rated->Service[0]->Code[0];
                    } else {
                        $rateCode = (string)$rated->Service[0]->Code;
                    }
                } else {
                    if (is_array($rated->Service->Code) && count($rated->Service->Code) > 0) {
                        $rateCode = (string)$rated->Service->Code[0];
                    } else {
                        $rateCode = (string)$rated->Service->Code;
                    }
                }
                $time = (string)$rated->GuaranteedDaysToDelivery;
                /*if ($rated->Service[0]->Code[0] == $this->serviceCode) {*/
                $defaultPrice = $rated->TotalCharges[0]->MonetaryValue;
                if (!$rated->NegotiatedRates) {
                    $rates[$rateCode] = array(
                        'price' => $defaultPrice,
                        'time' => $time
                    );
                } else {
                    $defaultPrice = $rated->NegotiatedRates[0]->NetSummaryCharges[0]->GrandTotal[0]->MonetaryValue;
                    if ($this->ratesTax == 1) {
                        $defaultPrice2 = $rated->NegotiatedRates[0]->NetSummaryCharges[0]->TotalChargesWithTaxes[0]->MonetaryValue;
                        if ($defaultPrice2) {
                            $defaultPrice = $defaultPrice2;
                        }
                    }
                    $rates[$rateCode] = array(
                        'price' => $defaultPrice,
                        'time' => $time
                    );
                }
                /*}*/
                if ($timeInTransit === null) {
                    $timeInTransit = $this->timeInTransit($weightSum);
                }
                if (is_array($timeInTransit) && isset($timeInTransit['days'][$rateCode])) {
                    $rates[$rateCode]['day'] = $timeInTransit['days'][$rateCode];
                }
            }
            return $rates;
        } else {
            $error = array('error' => $xml->Response[0]->Error[0]->ErrorDescription[0]);
            return $error;
        }
    }

    function setShipper()
    {
        return "<Shipper>
    <Name>" . $this->shipperName . "</Name>
    <AttentionName>" . $this->shipperAttentionName . "</AttentionName>
    <PhoneNumber>" . $this->shipperPhoneNumber . "</PhoneNumber>
      <ShipperNumber>" . $this->shipperNumber . "</ShipperNumber>
	  <TaxIdentificationNumber></TaxIdentificationNumber>
      <Address>
    	<AddressLine1>" . $this->shipperAddressLine1 . "</AddressLine1>
    	<City>" . $this->shipperCity . "</City>
    	<StateProvinceCode>" . $this->shipperStateProvinceCode . "</StateProvinceCode>
    	<PostalCode>" . $this->shipperPostalCode . "</PostalCode>
    	<PostcodeExtendedLow></PostcodeExtendedLow>
    	<CountryCode>" . $this->shipperCountryCode . "</CountryCode>
     </Address>
    </Shipper>";
    }

    function setShipFrom($type = 'shipment')
    {
        if ($type == 'shipment') {
            return "<ShipFrom>
      <CompanyName>" . $this->shipfromCompanyName . "</CompanyName>
      <AttentionName>" . $this->shipfromAttentionName . "</AttentionName>
      <PhoneNumber>" . $this->shipfromPhoneNumber . "</PhoneNumber>
	  <TaxIdentificationNumber></TaxIdentificationNumber>
      <Address>
        <AddressLine1>" . $this->shipfromAddressLine1 . "</AddressLine1>
        <City>" . $this->shipfromCity . "</City>
    	<StateProvinceCode>" . $this->shipfromStateProvinceCode . "</StateProvinceCode>
    	<PostalCode>" . $this->shipfromPostalCode . "</PostalCode>
    	<CountryCode>" . $this->shipfromCountryCode . "</CountryCode>
      </Address>
    </ShipFrom>";
        } else {
            $data = "<ShipFrom>
             <CompanyName>" . $this->shiptoCompanyName . "</CompanyName>
              <AttentionName>" . $this->shiptoAttentionName . "</AttentionName>";
            if (strlen($this->shiptoPhoneNumber) > 0) {
                $data .= "<PhoneNumber>" . $this->shiptoPhoneNumber . "</PhoneNumber>";
            } else if ($this->serviceCode == 14 || $this->shiptoCountryCode != $this->shipfromCountryCode) {
                $data .= "<PhoneNumber>" . $this->shipfromPhoneNumber . "</PhoneNumber>";
            }
            $data .= "<TaxIdentificationNumber></TaxIdentificationNumber>
              <Address>
                <AddressLine1>" . $this->shiptoAddressLine1 . "</AddressLine1>
                <City>" . $this->shiptoCity . "</City>
                <StateProvinceCode>" . $this->shiptoStateProvinceCode . "</StateProvinceCode>
                <PostalCode>" . $this->shiptoPostalCode . "</PostalCode>
                <CountryCode>" . $this->shiptoCountryCode . "</CountryCode>
              </Address>
            </ShipFrom>";
            return $data;
        }
    }

    function setShipTo($type = 'shipment')
    {
        if ($type == 'shipment') {
            $data = "<ShipTo>
     <CompanyName>" . $this->shiptoCompanyName . "</CompanyName>
      <AttentionName>" . $this->shiptoAttentionName . "</AttentionName>";
            if (strlen($this->shiptoPhoneNumber) > 0) {
                $data .= "<PhoneNumber>" . $this->shiptoPhoneNumber . "</PhoneNumber>";
            } else if ($this->serviceCode == 14 || $this->shiptoCountryCode != $this->shipfromCountryCode) {
                $data .= "<PhoneNumber>" . $this->shipfromPhoneNumber . "</PhoneNumber>";
            }
            $data .= "<Address><AddressLine1>" . $this->shiptoAddressLine1 . "</AddressLine1>";
            if (strlen($this->shiptoAddressLine2) > 0) {
                $data .= '<AddressLine2>' . $this->shiptoAddressLine2 . '</AddressLine2>';
            }
            $data .= "<City>" . $this->shiptoCity . "</City>";
            if (strlen($this->shiptoStateProvinceCode) > 0) {
                $data .= "<StateProvinceCode>" . $this->shiptoStateProvinceCode . "</StateProvinceCode>";
            } else {
                $data .= "<StateProvinceCode/>";
            }
            $data .= "<PostalCode>" . $this->shiptoPostalCode . "</PostalCode>
        <CountryCode>" . $this->shiptoCountryCode . "</CountryCode>";
            if ($this->residentialAddress == 1) {
                $data .= "<ResidentialAddress />";
            }
            $data .= "
      </Address>
    </ShipTo>";
            return $data;
        } else {
            $data = "<ShipTo>
              <CompanyName>" . $this->shipfromCompanyName . "</CompanyName>
              <AttentionName>" . $this->shipfromAttentionName . "</AttentionName>
              <PhoneNumber>" . $this->shipfromPhoneNumber . "</PhoneNumber>
              <Address>
                <AddressLine1>" . $this->shipfromAddressLine1 . "</AddressLine1>";
            if (strlen($this->shipfromAddressLine2) > 0) {
                $data .= '<AddressLine2>' . $this->shipfromAddressLine2 . '</AddressLine2>';
            }
            $data .= "
                <City>" . $this->shipfromCity . "</City>";
            if (strlen($this->shipfromStateProvinceCode) > 0) {
                $data .= "<StateProvinceCode>" . $this->shipfromStateProvinceCode . "</StateProvinceCode>";
            } else {
                $data .= "<StateProvinceCode/>";
            }
            $data .= "<PostalCode>" . $this->shipfromPostalCode . "</PostalCode>
            	<CountryCode>" . $this->shipfromCountryCode . "</CountryCode>
              </Address>
            </ShipTo>";
            return $data;
        }
    }

    public function timeInTransit($weightSum)
    {
        $cie = 'wwwcie';
        $testing = $this->testing;
        if (0 == $testing) {
            $cie = 'onlinetools';
        }
        $data = "<?xml version=\"1.0\" ?>
<AccessRequest xml:lang='en-US'>
<AccessLicenseNumber>" . $this->accessLicenseNumber . "</AccessLicenseNumber>
<UserId>" . $this->userId . "</UserId>
<Password>" . $this->password . "</Password>
</AccessRequest>
<?xml version=\"1.0\" ?>
<TimeInTransitRequest xml:lang='en-US'>
<Request>
<TransactionReference>
<CustomerContext>Shipper</CustomerContext>
<XpciVersion>1.0002</XpciVersion>
</TransactionReference>
<RequestAction>TimeInTransit</RequestAction>
</Request>
<TransitFrom>
<AddressArtifactFormat>
<CountryCode>" . $this->shipfromCountryCode . "</CountryCode>
<PostcodePrimaryLow>" . $this->shipfromPostalCode . "</PostcodePrimaryLow>
</AddressArtifactFormat>
</TransitFrom>
<TransitTo>
<AddressArtifactFormat>
<PoliticalDivision2>" . $this->shiptoCity . "</PoliticalDivision2>
<PoliticalDivision1>" . $this->shiptoStateProvinceCode . "</PoliticalDivision1>
<CountryCode>" . $this->shiptoCountryCode . "</CountryCode>
<PostcodePrimaryLow>" . $this->shiptoPostalCode . "</PostcodePrimaryLow>
</AddressArtifactFormat>
</TransitTo>
<ShipmentWeight>
<UnitOfMeasurement>
<Code>" . $this->weightUnits . "</Code>
</UnitOfMeasurement>
<Weight>" . $weightSum . "</Weight>
</ShipmentWeight>
<PickupDate>" . date('Ymd') . "</PickupDate>
<DocumentsOnlyIndicator />
</TimeInTransitRequest>";
        $curl = $this->_handy->_conf;
        $curl->testing = !$this->testing;
        $result = $curl->curlSend('https://' . $cie . '.ups.com/ups.app/xml/TimeInTransit', $data);
        if (!$curl->error) {
            $xml = $this->xml2array(simplexml_load_string($result));
            if ($xml['Response']['ResponseStatusCode'] == 0 || $xml['Response']['ResponseStatusDescription'] != 'Success') {
                return ['error' => 1];
            } else {
                $countDay = array();
                if (isset($xml['TransitResponse'])) {
                    foreach ($xml['TransitResponse']['ServiceSummary'] AS $v) {
                        if (isset($v['EstimatedArrival']['TotalTransitDays'])) {
                            $countDay[$this->_handy->_conf->getUpsCode($v['Service']['Code'])] = $v['EstimatedArrival']['TotalTransitDays'];
                        } else if (isset($v['EstimatedArrival']['BusinessTransitDays'])) {
                            $countDay[$this->_handy->_conf->getUpsCode($v['Service']['Code'])] = $v['EstimatedArrival']['BusinessTransitDays'];
                        }
                    }
                }
                return ['error' => 0, 'days' => $countDay];
            }
        } else {
            return $result;
        }
    }

    public function xml2array($xmlObject, $out = array())
    {
        foreach ((array)$xmlObject as $index => $node) {
            $out[$index] = (is_object($node)) ? $this->xml2array($node) : (is_array($node)) ? $this->xml2array($node) : $node;
        }
        return $out;
    }

    protected function isAdult($typeService)
    {
        if ($this->adult == 4) {
            if ($typeService === "P") {
                return false;
            } else if ($typeService === "S") {
                return true;
            }
        }
        if ($typeService === "S") {
            $this->adult = $this->adult - 1;
        }
        if ($this->adult == 0) {
            return false;
        }

        $adult = 'DC';
        if ($typeService === 'P') {
            if ($this->adult == 2) {
                $adult = 'DC-SR';
            } else if ($this->adult == 3) {
                $adult = 'DC-ASR';
            }
        } else if ($typeService === 'S') {
            if ($this->adult == 1) {
                $adult = 'DC-SR';
            } else if ($this->adult == 2) {
                $adult = 'DC-ASR';
            }
        }

        switch ($this->shipfromCountryCode) {
            case 'US':
            case 'CA':
            case 'PR':
                switch ($this->shiptoCountryCode) {
                    case 'US':
                    case 'PR':
                        if ($typeService === 'P') {
                            return true;
                        }
                        break;
                    default:
                        if ($typeService === 'S' && ($adult === 'DC-SR' || $adult === 'DC-ASR')) {
                            return true;
                        }
                        break;
                }
                break;
            default:
                if ($typeService === 'S' && ($adult === 'DC-SR' || $adult === 'DC-ASR')) {
                    return true;
                }
                break;
        }

        return false;
    }
}